View Issue Details

IDProjectCategoryView StatusLast Update
0005578GNUnetARM servicepublic2019-02-28 11:17
Reporterschanzen Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005578: Arm tests fail on macos
Descriptionmake check in arm yields this.
Additional Information# TOTAL: 4
# PASS: 3
# SKIP: 0
# XFAIL: 0
# FAIL: 1
# XPASS: 0
# ERROR: 0

============

Feb 16 19:24:18-899795 test-gnunet-service-arm-493 ERROR Failed to resolve our own hostname!
Feb 16 19:24:18-900282 test-gnunet-service-arm-493 ERROR Assertion failed at test_gnunet_service_arm.c:118.
Feb 16 19:24:18-902487 resolver-515 ERROR Assertion failed at gnunet-service-resolver.c:1249. Aborting.
Test failed with error code 3
FAIL test_gnunet_service_arm (exit status: 3)
TagsNo tags attached.

Activities

schanzen

2019-02-16 20:56

manager   ~0013829

This is a wierd issue and might be a bug. This test is skipped when I am on another network. Can somebody successfuly run this for me?

Christian Grothoff

2019-02-16 21:01

manager   ~0013830

I've fixed the assertion failure in gnunet-service-resolver.c, but that was on exit and should not affect the test itself :-(

Christian Grothoff

2019-02-16 21:02

manager   ~0013831

Try running gnunet-service-resolver from hand and then try to resolve your own hostname (via gnunet-resolve). If that doesn't work you know what to investigate...

Christian Grothoff

2019-02-16 21:03

manager   ~0013832

Oh, I should mention that the usual culprit is a difference in how name resolution is implemented between the host's libc (where it works) and our DNS lookup in util/.

schanzen

2019-02-16 21:44

manager   ~0013835

This was/is a problem with my local network.

nikita

2019-02-17 16:29

developer   ~0013844

test-gnunet-service-arm fails for me, on NetBSD.

host $(hostname) works without errors in a loop.

same error

schanzen

2019-02-17 20:24

manager   ~0013852

Tried a fix in fa7890cc5..5acfa2260.
I think the resolver if given "ANY" as record type resolved an A record and then, even if successful, also tries fo AAAA.
However, if the query for AAAA fails, it will just return with an empty response.

nikita

2019-02-22 22:50

developer  

test-suite.log (81,232 bytes)   
================================================
   gnunet 0.11.0pre66: src/arm/test-suite.log
================================================

# TOTAL: 4
# PASS:  3
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_gnunet_service_arm
=============================

Feb 22 21:43:24-792702 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 22 21:43:24-792929 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 22 21:43:24-793024 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 22 21:43:24-793081 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 22 21:43:24-793109 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 22 21:43:24-793160 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 22 21:43:24-793194 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 22 21:43:24-793246 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 22 21:43:24-793299 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 22 21:43:24-793347 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 22 21:43:24-793369 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 22 21:43:24-793426 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 22 21:43:24-793474 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 22 21:43:24-793534 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 22 21:43:24-793553 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 22 21:43:24-793604 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 22 21:43:24-793643 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 22 21:43:24-793687 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 22 21:43:24-793723 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 22 21:43:24-793773 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 22 21:43:24-793797 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 22 21:43:24-793841 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 22 21:43:24-793923 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 22 21:43:24-793969 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 22 21:43:24-794010 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 22 21:43:24-794054 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 22 21:43:24-794082 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 22 21:43:24-794134 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 22 21:43:24-794304 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 22 21:43:24-794353 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 22 21:43:24-794370 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 22 21:43:24-794414 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 22 21:43:24-794443 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 22 21:43:24-794492 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 22 21:43:24-794640 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 22 21:43:24-794699 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 22 21:43:24-794786 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 22 21:43:24-794835 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 22 21:43:24-794884 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 22 21:43:24-794929 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 22 21:43:24-794964 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 22 21:43:24-795012 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 22 21:43:24-795048 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 22 21:43:24-795096 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 22 21:43:24-795116 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 22 21:43:24-795161 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 22 21:43:24-795184 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 22 21:43:24-795240 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 22 21:43:24-795280 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 22 21:43:24-795326 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 22 21:43:24-795369 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 22 21:43:24-795436 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 22 21:43:24-795492 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 22 21:43:24-795562 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 22 21:43:24-795643 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 22 21:43:24-795711 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 22 21:43:24-795783 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 22 21:43:24-795847 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 22 21:43:24-795877 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 22 21:43:24-795921 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 22 21:43:24-795947 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 22 21:43:24-795997 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 22 21:43:24-796034 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 22 21:43:24-796078 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 22 21:43:24-796109 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 22 21:43:24-796160 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 22 21:43:24-796193 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 22 21:43:24-796238 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 22 21:43:24-796291 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 22 21:43:24-796362 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 22 21:43:24-796405 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 22 21:43:24-796460 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 22 21:43:24-796499 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 22 21:43:24-796545 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 22 21:43:24-796623 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 22 21:43:24-796687 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 22 21:43:24-796751 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 22 21:43:24-796801 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 22 21:43:24-796831 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 22 21:43:24-796882 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 22 21:43:24-796913 util-12645 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 22 21:43:24-796961 util-12645 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 22 21:43:24-796994 util-12645 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 21:43:24-797044 util-12645 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 21:43:24-797056 util-12645 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 22 21:43:24-797111 util-12645 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 22 21:43:24-797153 util-12645 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 22 21:43:24-797206 util-12645 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 22 21:43:24-797333 util-scheduler-12645 DEBUG Registering signal handlers
Feb 22 21:43:24-797380 util-scheduler-12645 DEBUG Adding task 0x7e716131e080
Feb 22 21:43:24-797402 util-scheduler-12645 DEBUG Adding continuation task 0x7e716131e160
Feb 22 21:43:24-797416 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-797436 util-scheduler-12645 DEBUG Running task 0x7e716131e080
Feb 22 21:43:24-797447 util-os-priority-12645 DEBUG Not installing a handler because $GNUNET_OS_CONTROL_PIPE is empty
Feb 22 21:43:24-797461 util-scheduler-12645 DEBUG destroying task 0x7e716131e080
Feb 22 21:43:24-797470 util-scheduler-12645 DEBUG Running task 0x7e716131e160
Feb 22 21:43:24-797492 util-speedup-12645 DEBUG Speed up disabled
Feb 22 21:43:24-797503 util-scheduler-12645 DEBUG Adding shutdown task 0x7e716131e080
Feb 22 21:43:24-797526 util-12645 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 22 21:43:24-797537 util-12645 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 22 21:43:24-797547 util-12645 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 22 21:43:24-797557 util-12645 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 22 21:43:24-797567 util-12645 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 21:43:24-797576 util-12645 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 21:43:24-797592 util-12645 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 22 21:43:24-797612 util-12645 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 22 21:43:24-797623 util-12645 DEBUG Asked to $-expand ${USER:-user}
Feb 22 21:43:24-797632 util-12645 DEBUG Split into `USER' and `' with default user
Feb 22 21:43:24-797647 util-scheduler-12645 DEBUG Adding task 0x7e716131e1d0
Feb 22 21:43:24-797671 arm-api-12645 DEBUG Sending TEST message to ARM
Feb 22 21:43:24-797684 util-mq-12645 DEBUG sending message of type 15, queue empty (MQ: 0x7e7161338150)
Feb 22 21:43:24-797694 util-client-12645 DEBUG message of type 15 waiting for socket
Feb 22 21:43:24-797709 arm-api-12645 DEBUG Starting service `arm'
Feb 22 21:43:24-797721 arm-api-12645 DEBUG Starting ARM service
Feb 22 21:43:24-797906 util-scheduler-12645 DEBUG Adding task 0x7e716131e240
Feb 22 21:43:24-797938 util-scheduler-12645 DEBUG destroying task 0x7e716131e160
Feb 22 21:43:24-797950 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-797966 util-scheduler-12645 DEBUG Running task 0x7e716131e240
Feb 22 21:43:24-797976 arm-api-12645 DEBUG Notifying client that we started the ARM service
Feb 22 21:43:24-797987 test-gnunet-service-arm-12645 DEBUG Trying to resolve our own hostname!
Feb 22 21:43:24-798008 util-resolver-api-12645 DEBUG Resolving our hostname `uptimegirl'
Feb 22 21:43:24-798023 util-resolver-api-12645 DEBUG Trying to resolve hostname `uptimegirl'.
Feb 22 21:43:24-798038 util-scheduler-12645 DEBUG Adding task 0x7e716131e2b0
Feb 22 21:43:24-798053 util-resolver-api-12645 DEBUG Will try to connect to DNS service in 1 ms
Feb 22 21:43:24-798062 util-scheduler-12645 DEBUG Adding task 0x7e716131e320
Feb 22 21:43:24-798075 util-scheduler-12645 DEBUG destroying task 0x7e716131e240
Feb 22 21:43:24-798084 util-scheduler-12645 DEBUG Running task 0x7e716131e1d0
Feb 22 21:43:24-798099 util-12645 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 22 21:43:24-798108 util-12645 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 22 21:43:24-798119 util-12645 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 22 21:43:24-798128 util-12645 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 22 21:43:24-798139 util-12645 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 21:43:24-798148 util-12645 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 21:43:24-798159 util-12645 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 22 21:43:24-798168 util-12645 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 22 21:43:24-798178 util-12645 DEBUG Asked to $-expand ${USER:-user}
Feb 22 21:43:24-798187 util-12645 DEBUG Split into `USER' and `' with default user
Feb 22 21:43:24-798237 util-client-12645 DEBUG Failed to establish connection to `arm', no further addresses to try, will try again in 2 ms.
Feb 22 21:43:24-798262 util-scheduler-12645 DEBUG Adding task 0x7e716131e240
Feb 22 21:43:24-798276 util-scheduler-12645 DEBUG destroying task 0x7e716131e1d0
Feb 22 21:43:24-798294 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-803216 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 22 21:43:24-803492 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 22 21:43:24-803614 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 22 21:43:24-803690 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 22 21:43:24-803747 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 22 21:43:24-803813 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 22 21:43:24-803850 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 22 21:43:24-803918 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 22 21:43:24-804002 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 22 21:43:24-804067 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 22 21:43:24-804100 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 22 21:43:24-804162 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 22 21:43:24-804211 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 22 21:43:24-804275 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 22 21:43:24-804296 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 22 21:43:24-804358 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 22 21:43:24-804410 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 22 21:43:24-804475 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 22 21:43:24-804520 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 22 21:43:24-804585 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 22 21:43:24-804621 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 22 21:43:24-804685 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 22 21:43:24-804792 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 22 21:43:24-804855 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 22 21:43:24-804914 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 22 21:43:24-804977 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 22 21:43:24-805013 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 22 21:43:24-805077 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 22 21:43:24-805296 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 22 21:43:24-805366 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 22 21:43:24-805387 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 22 21:43:24-805450 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 22 21:43:24-805492 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 22 21:43:24-805557 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 22 21:43:24-805697 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 22 21:43:24-805760 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 22 21:43:24-805878 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 22 21:43:24-805946 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 22 21:43:24-806007 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 22 21:43:24-806073 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 22 21:43:24-806132 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 22 21:43:24-806213 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 22 21:43:24-806281 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 22 21:43:24-806346 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 22 21:43:24-806377 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 22 21:43:24-806442 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 22 21:43:24-806472 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 22 21:43:24-806541 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 22 21:43:24-806599 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 22 21:43:24-806662 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 22 21:43:24-806702 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 22 21:43:24-806766 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 22 21:43:24-806818 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 22 21:43:24-806883 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 22 21:43:24-806946 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 22 21:43:24-807018 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 22 21:43:24-807075 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 22 21:43:24-807127 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 22 21:43:24-807148 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 22 21:43:24-807186 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 22 21:43:24-807205 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 22 21:43:24-807243 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 22 21:43:24-807268 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 22 21:43:24-807306 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 22 21:43:24-807329 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 22 21:43:24-807366 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 22 21:43:24-807392 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 22 21:43:24-807449 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 22 21:43:24-807516 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 22 21:43:24-807576 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 22 21:43:24-807627 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 22 21:43:24-807685 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 22 21:43:24-807726 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 22 21:43:24-807785 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 22 21:43:24-807866 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 22 21:43:24-807927 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 22 21:43:24-808011 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 22 21:43:24-808090 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 22 21:43:24-808127 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 22 21:43:24-808192 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 22 21:43:24-808228 util-9890 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 22 21:43:24-808285 util-9890 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 22 21:43:24-808325 util-9890 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 21:43:24-808387 util-9890 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 21:43:24-808404 util-9890 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 22 21:43:24-808491 util-9890 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 22 21:43:24-808558 util-9890 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 22 21:43:24-808643 util-9890 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 22 21:43:24-808843 util-9890 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 22 21:43:24-808877 util-9890 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 22 21:43:24-808896 util-9890 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 22 21:43:24-808911 util-9890 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 22 21:43:24-808927 util-9890 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 21:43:24-808941 util-9890 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 21:43:24-808985 util-9890 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 22 21:43:24-809000 util-9890 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 22 21:43:24-809015 util-9890 DEBUG Asked to $-expand ${USER:-user}
Feb 22 21:43:24-809028 util-9890 DEBUG Split into `USER' and `' with default user
Feb 22 21:43:24-810685 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-810849 util-service-21510 DEBUG Service `arm' runs with configuration from `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 21:43:24-810973 util-scheduler-21510 DEBUG Registering signal handlers
Feb 22 21:43:24-811038 util-scheduler-21510 DEBUG Adding task 0x788af8121080
Feb 22 21:43:24-811092 util-scheduler-21510 DEBUG Adding continuation task 0x788af81211d0
Feb 22 21:43:24-811116 util-scheduler-21510 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-811182 util-scheduler-21510 DEBUG Running task 0x788af8121080
Feb 22 21:43:24-811203 util-os-priority-21510 DEBUG Not installing a handler because $GNUNET_OS_CONTROL_PIPE is empty
Feb 22 21:43:24-811293 util-scheduler-21510 DEBUG destroying task 0x788af8121080
Feb 22 21:43:24-811312 util-scheduler-21510 DEBUG Running task 0x788af81211d0
Feb 22 21:43:24-811893 util-scheduler-21510 DEBUG Adding shutdown task 0x788af8121240
Feb 22 21:43:24-811920 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-811957 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-811998 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812032 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812066 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812099 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812131 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812177 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812230 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812265 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812299 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812331 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812364 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812396 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812430 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812462 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812497 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812530 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812564 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812596 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812594 util-scheduler-12645 DEBUG Running task 0x7e716131e240
Feb 22 21:43:24-812633 util-12645 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 22 21:43:24-812636 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812651 util-12645 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 22 21:43:24-812673 util-12645 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 22 21:43:24-812674 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812691 util-12645 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 22 21:43:24-812710 util-12645 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 21:43:24-812714 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812725 util-12645 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 21:43:24-812745 util-12645 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 22 21:43:24-812749 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812759 util-12645 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 22 21:43:24-812776 util-12645 DEBUG Asked to $-expand ${USER:-user}
Feb 22 21:43:24-812787 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812791 util-12645 DEBUG Split into `USER' and `' with default user
Feb 22 21:43:24-812820 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812839 util-client-12645 DEBUG Successfully connected to unixpath `/tmp/gnunet-ng0-runtime//gnunet-service-arm.sock'!
Feb 22 21:43:24-812856 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812869 util-scheduler-12645 DEBUG destroying task 0x7e716131e240
Feb 22 21:43:24-812884 util-scheduler-12645 DEBUG Running task 0x7e716131e320
Feb 22 21:43:24-812891 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812899 util-resolver-api-12645 DEBUG Trying to connect to DNS service
Feb 22 21:43:24-812919 util-12645 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-resolver.sock
Feb 22 21:43:24-812924 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812933 util-12645 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-resolver.sock' with default (null)
Feb 22 21:43:24-812950 util-12645 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 22 21:43:24-812959 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812964 util-12645 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 22 21:43:24-812982 util-12645 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 21:43:24-812994 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-812998 util-12645 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 21:43:24-813035 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-813068 util-scheduler-12645 DEBUG Adding task 0x7e716131e240
Feb 22 21:43:24-813072 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-813099 util-resolver-api-12645 DEBUG Transmitting DNS resolution request (ID 1) to DNS service
Feb 22 21:43:24-813113 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-813120 util-mq-12645 DEBUG sending message of type 4, queue empty (MQ: 0x7e7161338270)
Feb 22 21:43:24-813150 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-813194 util-client-12645 DEBUG message of type 4 waiting for socket
Feb 22 21:43:24-813210 util-scheduler-12645 DEBUG destroying task 0x7e716131e320
Feb 22 21:43:24-813218 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-813226 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-813249 util-scheduler-12645 DEBUG Running task 0x7e716131e240
Feb 22 21:43:24-813265 util-12645 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-resolver.sock
Feb 22 21:43:24-813267 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-813280 util-12645 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-resolver.sock' with default (null)
Feb 22 21:43:24-813296 util-12645 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 22 21:43:24-813305 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-813311 util-12645 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 22 21:43:24-813328 util-12645 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 21:43:24-813342 util-12645 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 21:43:24-813382 util-21510 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-nat-auto.sock
Feb 22 21:43:24-813388 util-resolver-api-12645 DEBUG Trying to resolve hostname `localhost'.
Feb 22 21:43:24-813398 util-21510 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-nat-auto.sock' with default (null)
Feb 22 21:43:24-813406 util-scheduler-12645 DEBUG Adding task 0x7e716131e470
Feb 22 21:43:24-813414 util-21510 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 22 21:43:24-813427 util-scheduler-12645 DEBUG destroying task 0x7e716131e240
Feb 22 21:43:24-813430 util-21510 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 22 21:43:24-813439 util-scheduler-12645 DEBUG Running task 0x7e716131e390
Feb 22 21:43:24-813447 util-21510 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 21:43:24-813454 util-client-12645 DEBUG message of type 15 trying to send with socket 0x7e7161347680 (MQ: 0x7e7161338150
Feb 22 21:43:24-813461 util-21510 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 21:43:24-813479 util-client-12645 DEBUG sending message of type 15 successful
Feb 22 21:43:24-813495 util-scheduler-12645 DEBUG Adding task 0x7e716131e240
Feb 22 21:43:24-813508 util-scheduler-12645 DEBUG destroying task 0x7e716131e390
Feb 22 21:43:24-813528 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-813549 util-scheduler-12645 DEBUG Running task 0x7e716131e240
Feb 22 21:43:24-813565 util-scheduler-12645 DEBUG destroying task 0x7e716131e240
Feb 22 21:43:24-813582 util-scheduler-12645 DEBUG Running task 0x7e716131e470
Feb 22 21:43:24-813610 util-client-12645 DEBUG Trying to connect using address `::1:23355'
Feb 22 21:43:24-813670 util-client-12645 DEBUG Trying to connect using address `127.0.0.1:23355'
Feb 22 21:43:24-813713 util-resolver-api-12645 DEBUG Finished resolving hostname `localhost'.
Feb 22 21:43:24-813729 util-scheduler-12645 DEBUG destroying task 0x7e716131e470
Feb 22 21:43:24-813748 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:29 2019
Feb 22 21:43:24-813768 util-scheduler-12645 DEBUG Running task 0x7e716131e240
Feb 22 21:43:24-813794 util-scheduler-12645 DEBUG destroying task 0x7e716131e240
Feb 22 21:43:24-813808 util-scheduler-12645 DEBUG Running task 0x7e716131e390
Feb 22 21:43:24-813832 util-client-12645 DEBUG Failed to establish connection to `resolver', no further addresses to try, will try again in 2 ms.
Feb 22 21:43:24-813847 util-scheduler-12645 DEBUG Adding task 0x7e716131e240
Feb 22 21:43:24-813859 util-scheduler-12645 DEBUG destroying task 0x7e716131e390
Feb 22 21:43:24-813878 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-814112 arm-9890 INFO ARM now monitors connections to service `nat-auto' at `/tmp/gnunet-system-runtime//gnunet-service-nat-auto.sock'
Feb 22 21:43:24-814160 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-814230 util-21510 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-nat.sock
Feb 22 21:43:24-814248 util-21510 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-nat.sock' with default (null)
Feb 22 21:43:24-814266 util-21510 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 22 21:43:24-814281 util-21510 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 22 21:43:24-814299 util-21510 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 21:43:24-814315 util-21510 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 21:43:24-814603 arm-9890 INFO ARM now monitors connections to service `nat' at `/tmp/gnunet-system-runtime//gnunet-service-nat.sock'
Feb 22 21:43:24-814631 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-814673 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-814711 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-814753 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-814791 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-814830 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-814888 util-21510 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-statistics.sock
Feb 22 21:43:24-814904 util-21510 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-statistics.sock' with default (null)
Feb 22 21:43:24-814923 util-21510 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 22 21:43:24-814938 util-21510 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 22 21:43:24-814955 util-21510 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 21:43:24-814969 util-21510 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 21:43:24-815209 arm-9890 INFO ARM now monitors connections to service `statistics' at `/tmp/gnunet-system-runtime//gnunet-service-statistics.sock'
Feb 22 21:43:24-815235 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-815348 util-21510 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-resolver.sock
Feb 22 21:43:24-815366 util-21510 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-resolver.sock' with default (null)
Feb 22 21:43:24-815382 util-21510 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 22 21:43:24-815397 util-21510 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 22 21:43:24-815414 util-21510 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 21:43:24-815429 util-21510 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 21:43:24-815662 arm-9890 INFO ARM now monitors connections to service `resolver' at `/tmp/gnunet-system-runtime//gnunet-service-resolver.sock'
Feb 22 21:43:24-815725 arm-9890 INFO ARM now monitors connections to service `resolver' at `[::]:23355'
Feb 22 21:43:24-815767 arm-9890 INFO ARM now monitors connections to service `resolver' at `0.0.0.0:23355'
Feb 22 21:43:24-815795 util-scheduler-21510 DEBUG destroying task 0x788af81211d0
Feb 22 21:43:24-815816 util-scheduler-21510 DEBUG select timeout = end of time
Feb 22 21:43:24-815842 util-scheduler-21510 DEBUG Running task 0x788af8121080
Feb 22 21:43:24-815869 util-network-21510 DEBUG Accepting connection on `/tmp/gnunet-ng0-runtime//gnunet-service-arm.sock'
Feb 22 21:43:24-815896 util-service-21510 DEBUG Service accepted incoming connection from  .
Feb 22 21:43:24-815952 util-network-21510 DEBUG Accepting connection on `/tmp/gnunet-ng0-runtime//gnunet-service-arm.sock'
Feb 22 21:43:24-815973 util-scheduler-21510 DEBUG destroying task 0x788af8121080
Feb 22 21:43:24-815992 util-scheduler-21510 DEBUG select timeout = end of time
Feb 22 21:43:24-816013 util-scheduler-21510 DEBUG Running task 0x788af81211d0
Feb 22 21:43:24-816059 util-mst-21510 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 22 21:43:24-816076 util-service-21510 DEBUG Received message of type 15 and size 4 from client
Feb 22 21:43:24-816116 util-scheduler-21510 DEBUG Adding task 0x788af8121080
Feb 22 21:43:24-816136 util-mq-21510 DEBUG Received message of type 15 and size 4
Feb 22 21:43:24-816162 util-mq-21510 DEBUG sending message of type 15, queue empty (MQ: 0x788af81370c0)
Feb 22 21:43:24-816179 util-service-21510 DEBUG Sending message of type 15 and size 4 to client
Feb 22 21:43:24-816201 util-scheduler-21510 DEBUG canceling task 0x788af8121080
Feb 22 21:43:24-816216 util-scheduler-21510 DEBUG destroying task 0x788af8121080
Feb 22 21:43:24-816233 util-scheduler-21510 DEBUG Adding task 0x788af8121080
Feb 22 21:43:24-816249 util-mst-21510 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 21:43:24-816264 util-scheduler-21510 DEBUG destroying task 0x788af81211d0
Feb 22 21:43:24-816283 util-scheduler-21510 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-816305 util-scheduler-21510 DEBUG Running task 0x788af8121080
Feb 22 21:43:24-816321 util-mst-21510 DEBUG MST receives 0 bytes with 0 bytes already in private buffer
Feb 22 21:43:24-816335 util-mst-21510 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 21:43:24-816352 util-scheduler-21510 DEBUG destroying task 0x788af8121080
Feb 22 21:43:24-816367 util-scheduler-21510 DEBUG Running task 0x788af8122d60
Feb 22 21:43:24-816381 util-service-21510 DEBUG service: sending message with type 15Feb 22 21:43:24-816411 util-scheduler-21510 DEBUG Adding task 0x788af8121080
Feb 22 21:43:24-816415 util-scheduler-12645 DEBUG Running task 0x7e716131e240
Feb 22 21:43:24-816428 util-scheduler-21510 DEBUG destroying task 0x788af8122d60
Feb 22 21:43:24-816437 util-resolver-api-12645 DEBUG Trying to resolve hostname `localhost'.
Feb 22 21:43:24-816447 util-scheduler-21510 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-816453 util-scheduler-12645 DEBUG Adding task 0x7e716131e390
Feb 22 21:43:24-816465 util-scheduler-12645 DEBUG destroying task 0x7e716131e240
Feb 22 21:43:24-816468 util-scheduler-21510 DEBUG Running task 0x788af8121080
Feb 22 21:43:24-816476 util-scheduler-12645 DEBUG Running task 0x7e716131e1d0
Feb 22 21:43:24-816483 util-scheduler-21510 DEBUG destroying task 0x788af8121080
Feb 22 21:43:24-816497 util-mst-12645 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 22 21:43:24-816501 util-scheduler-21510 DEBUG select timeout = end of time
Feb 22 21:43:24-816509 util-client-12645 DEBUG Received message of type 15 and size 4 from arm
Feb 22 21:43:24-816523 util-mq-12645 DEBUG Received message of type 15 and size 4
Feb 22 21:43:24-816537 arm-api-12645 DEBUG Got confirmation from ARM that we are up!
Feb 22 21:43:24-816550 util-mst-12645 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 21:43:24-816564 util-scheduler-12645 DEBUG destroying task 0x7e716131e1d0
Feb 22 21:43:24-816579 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-816797 util-scheduler-12645 DEBUG Running task 0x7e716131e390
Feb 22 21:43:24-816812 util-client-12645 DEBUG Trying to connect using address `::1:23355'
Feb 22 21:43:24-816847 util-client-12645 DEBUG Trying to connect using address `127.0.0.1:23355'
Feb 22 21:43:24-816901 util-resolver-api-12645 DEBUG Finished resolving hostname `localhost'.
Feb 22 21:43:24-816912 util-scheduler-12645 DEBUG destroying task 0x7e716131e390
Feb 22 21:43:24-816923 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:29 2019
Feb 22 21:43:24-816922 util-scheduler-21510 DEBUG Running task 0x788af8122c10
Feb 22 21:43:24-816937 util-scheduler-12645 DEBUG Running task 0x7e716131e1d0
Feb 22 21:43:24-816948 util-client-12645 DEBUG Connection to `resolver' succeeded!
Feb 22 21:43:24-816946 util-scheduler-21510 DEBUG canceling task 0x788af8122c80
Feb 22 21:43:24-816965 util-scheduler-12645 DEBUG canceling task 0x7e716131e470
Feb 22 21:43:24-816975 util-scheduler-12645 DEBUG destroying task 0x7e716131e470
Feb 22 21:43:24-816986 util-scheduler-12645 DEBUG destroying task 0x7e716131e1d0
Feb 22 21:43:24-816971 util-scheduler-21510 DEBUG destroying task 0x788af8122c80
Feb 22 21:43:24-816999 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:34 2019
Feb 22 21:43:24-817001 util-scheduler-21510 DEBUG canceling task 0x788af8122ba0
Feb 22 21:43:24-817030 util-scheduler-21510 DEBUG destroying task 0x788af8122ba0
Feb 22 21:43:24-817032 util-scheduler-12645 DEBUG Running task 0x7e716131e390
Feb 22 21:43:24-817048 util-client-12645 DEBUG message of type 4 trying to send with socket 0x7e71613476a0 (MQ: 0x7e7161338270
Feb 22 21:43:24-817056 arm-9890 DEBUG Starting service `resolver' using binary `gnunet-service-resolver' and configuration `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 21:43:24-817070 util-client-12645 DEBUG sending message of type 4 successful
Feb 22 21:43:24-817087 util-scheduler-12645 DEBUG Adding task 0x7e716131e1d0
Feb 22 21:43:24-817100 util-scheduler-12645 DEBUG destroying task 0x7e716131e390
Feb 22 21:43:24-817112 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-817125 util-scheduler-12645 DEBUG Running task 0x7e716131e1d0
Feb 22 21:43:24-817133 util-scheduler-12645 DEBUG destroying task 0x7e716131e1d0
Feb 22 21:43:24-817145 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:34 2019
Feb 22 21:43:24-817311 arm-9890 INFO Starting service `resolver'
Feb 22 21:43:24-817348 arm-9890 DEBUG Sending status 2 of service `resolver' to client
Feb 22 21:43:24-817395 util-scheduler-21510 DEBUG destroying task 0x788af8122c10
Feb 22 21:43:24-817419 util-scheduler-21510 DEBUG select timeout = end of time
Feb 22 21:43:24-822529 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 22 21:43:24-822794 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 22 21:43:24-822907 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 22 21:43:24-822977 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 22 21:43:24-823017 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 22 21:43:24-823081 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 22 21:43:24-823120 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 22 21:43:24-823185 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 22 21:43:24-823247 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 22 21:43:24-823324 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 22 21:43:24-823354 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 22 21:43:24-823419 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 22 21:43:24-823469 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 22 21:43:24-823532 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 22 21:43:24-823554 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 22 21:43:24-823618 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 22 21:43:24-823668 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 22 21:43:24-823732 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 22 21:43:24-823778 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 22 21:43:24-823842 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 22 21:43:24-823875 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 22 21:43:24-823939 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 22 21:43:24-824073 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 22 21:43:24-824140 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 22 21:43:24-824199 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 22 21:43:24-824265 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 22 21:43:24-824304 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 22 21:43:24-824369 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 22 21:43:24-824592 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 22 21:43:24-824662 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 22 21:43:24-824684 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 22 21:43:24-824751 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 22 21:43:24-824793 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 22 21:43:24-824859 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 22 21:43:24-825001 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 22 21:43:24-825068 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 22 21:43:24-825192 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 22 21:43:24-825257 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 22 21:43:24-825324 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 22 21:43:24-825391 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 22 21:43:24-825443 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 22 21:43:24-825511 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 22 21:43:24-825562 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 22 21:43:24-825642 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 22 21:43:24-825676 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 22 21:43:24-825741 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 22 21:43:24-825771 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 22 21:43:24-825836 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 22 21:43:24-825888 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 22 21:43:24-825953 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 22 21:43:24-825995 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 22 21:43:24-826059 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 22 21:43:24-826117 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 22 21:43:24-826177 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 22 21:43:24-826241 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 22 21:43:24-826893 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 22 21:43:24-826974 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 22 21:43:24-827039 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 22 21:43:24-827072 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 22 21:43:24-827133 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 22 21:43:24-827164 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 22 21:43:24-827223 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 22 21:43:24-827265 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 22 21:43:24-827322 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 22 21:43:24-827358 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 22 21:43:24-827415 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 22 21:43:24-827453 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 22 21:43:24-827510 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 22 21:43:24-827576 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 22 21:43:24-827635 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 22 21:43:24-827688 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 22 21:43:24-827748 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 22 21:43:24-827791 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 22 21:43:24-827852 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 22 21:43:24-827935 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 22 21:43:24-827999 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 22 21:43:24-828070 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 22 21:43:24-828129 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 22 21:43:24-828163 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 22 21:43:24-828244 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 22 21:43:24-828281 util-8273 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 22 21:43:24-828339 util-8273 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 22 21:43:24-828383 util-8273 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 21:43:24-828445 util-8273 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 21:43:24-828464 util-8273 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 22 21:43:24-828554 util-8273 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 22 21:43:24-828622 util-8273 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 22 21:43:24-828706 util-8273 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 22 21:43:24-828962 util-8273 DEBUG Failed to retrieve filename
Feb 22 21:43:24-828981 util-service-8273 DEBUG Service `resolver' runs with configuration from `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 21:43:24-829054 util-scheduler-8273 DEBUG Registering signal handlers
Feb 22 21:43:24-829131 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e080
Feb 22 21:43:24-829168 util-scheduler-8273 DEBUG Adding continuation task 0x79a0f8d1e160
Feb 22 21:43:24-829187 util-scheduler-8273 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-829216 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e080
Feb 22 21:43:24-829234 util-os-priority-8273 DEBUG Not installing a handler because $GNUNET_OS_CONTROL_PIPE is empty
Feb 22 21:43:24-829260 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e080
Feb 22 21:43:24-829275 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e160
Feb 22 21:43:24-829292 util-scheduler-8273 DEBUG Adding shutdown task 0x79a0f8d1e080
Feb 22 21:43:24-829388 util-scheduler-8273 DEBUG Adding shutdown task 0x79a0f8d1e320
Feb 22 21:43:24-829461 resolver-8273 DEBUG Adding DNS server '192.168.1.1': success
Feb 22 21:43:24-829478 resolver-8273 DEBUG Adding DNS server 'fda9:652b:4324::1': success
Feb 22 21:43:24-829493 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e160
Feb 22 21:43:24-829511 util-scheduler-8273 DEBUG select timeout = end of time
Feb 22 21:43:24-829534 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e240
Feb 22 21:43:24-829568 util-network-8273 DEBUG Accepting connection on `[::]:23355'
Feb 22 21:43:24-829616 util-service-8273 DEBUG Service accepted incoming connection from [::1]:65212.
Feb 22 21:43:24-829650 util-network-8273 DEBUG Accepting connection on `[::]:23355'
Feb 22 21:43:24-829669 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e240
Feb 22 21:43:24-829685 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e2b0
Feb 22 21:43:24-829703 util-network-8273 DEBUG Accepting connection on `0.0.0.0:23355'
Feb 22 21:43:24-829725 util-service-8273 DEBUG Service accepted incoming connection from 127.0.0.1:64898.
Feb 22 21:43:24-829746 util-network-8273 DEBUG Accepting connection on `0.0.0.0:23355'
Feb 22 21:43:24-829766 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e2b0
Feb 22 21:43:24-829784 util-scheduler-8273 DEBUG select timeout = end of time
Feb 22 21:43:24-829804 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e160
Feb 22 21:43:24-829838 util-mst-8273 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 22 21:43:24-829858 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e160
Feb 22 21:43:24-829872 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e240
Feb 22 21:43:24-829892 resolver-8273 DEBUG Client dropped: 0x79a0f8d30100 (MQ: 0x79a0f8d37270)
Feb 22 21:43:24-829909 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e160
Feb 22 21:43:24-829925 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e240
Feb 22 21:43:24-829945 util-scheduler-8273 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-829965 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e160
Feb 22 21:43:24-830016 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e160
Feb 22 21:43:24-830041 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e2b0
Feb 22 21:43:24-830061 util-mst-8273 DEBUG MST receives 0 bytes with 27 bytes already in private buffer
Feb 22 21:43:24-830079 util-service-8273 DEBUG Received message of type 4 and size 27 from client
Feb 22 21:43:24-830172 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e160
Feb 22 21:43:24-830195 util-mq-8273 DEBUG Received message of type 4 and size 27
Feb 22 21:43:24-830215 util-scheduler-8273 DEBUG canceling task 0x79a0f8d1e160
Feb 22 21:43:24-830228 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e160
Feb 22 21:43:24-830243 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e160
Feb 22 21:43:24-830265 resolver-8273 DEBUG No cache entry for 'uptimegirl'
Feb 22 21:43:24-830279 resolver-8273 DEBUG resolve_and_cache `uptimegirl'
Feb 22 21:43:24-830446 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e240
Feb 22 21:43:24-830471 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e470
Feb 22 21:43:24-830486 resolver-8273 DEBUG Resolving uptimegirl, client_request_id = 1, dns_id = 57877
Feb 22 21:43:24-830519 util-mst-8273 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 21:43:24-830535 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e2b0
Feb 22 21:43:24-830555 util-scheduler-8273 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-830573 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e470
Feb 22 21:43:24-830586 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e2b0
Feb 22 21:43:24-830649 resolver-8273 DEBUG Sent DNS request to [fda9:652b:4324::1]:53
Feb 22 21:43:24-830673 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e4e0
Feb 22 21:43:24-830690 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e470
Feb 22 21:43:24-830704 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e160
Feb 22 21:43:24-830719 util-mst-8273 DEBUG MST receives 0 bytes with 0 bytes already in private buffer
Feb 22 21:43:24-830734 util-mst-8273 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 21:43:24-830745 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e160
Feb 22 21:43:24-830762 util-scheduler-8273 DEBUG select timeout = Fri Feb 22 21:43:25 2019
Feb 22 21:43:24-832093 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e4e0
Feb 22 21:43:24-832112 resolver-8273 DEBUG Receiving 72 byte DNS reply
Feb 22 21:43:24-832160 resolver-8273 DEBUG Got reply for hostname uptimegirl and request ID 1
Feb 22 21:43:24-832193 util-scheduler-8273 DEBUG canceling task 0x79a0f8d1e2b0
Feb 22 21:43:24-832205 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e2b0
Feb 22 21:43:24-832222 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e160
Feb 22 21:43:24-832245 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e2b0
Feb 22 21:43:24-832260 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e4e0
Feb 22 21:43:24-832280 util-scheduler-8273 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-832300 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e160
Feb 22 21:43:24-832317 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e4e0
Feb 22 21:43:24-832359 resolver-8273 DEBUG Sent DNS request to [fda9:652b:4324::1]:53
Feb 22 21:43:24-832374 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e550
Feb 22 21:43:24-832386 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e160
Feb 22 21:43:24-832401 util-scheduler-8273 DEBUG select timeout = Fri Feb 22 21:43:25 2019
Feb 22 21:43:24-833974 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e550
Feb 22 21:43:24-833992 resolver-8273 DEBUG Receiving 84 byte DNS reply
Feb 22 21:43:24-834014 resolver-8273 DEBUG Got reply for hostname uptimegirl and request ID 1
Feb 22 21:43:24-834036 resolver-8273 DEBUG No cache entry for 'uptimegirl'
Feb 22 21:43:24-834047 resolver-8273 DEBUG Sending END message
Feb 22 21:43:24-834067 util-mq-8273 DEBUG sending message of type 5, queue empty (MQ: 0x79a0f8d371e0)
Feb 22 21:43:24-834083 util-service-8273 DEBUG Sending message of type 5 and size 8 to client
Feb 22 21:43:24-834102 util-scheduler-8273 DEBUG canceling task 0x79a0f8d1e4e0
Feb 22 21:43:24-834116 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e4e0
Feb 22 21:43:24-834131 util-scheduler-8273 DEBUG canceling task 0x79a0f8d1e240
Feb 22 21:43:24-834144 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e240
Feb 22 21:43:24-834160 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e240
Feb 22 21:43:24-834173 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e550
Feb 22 21:43:24-834187 util-scheduler-8273 DEBUG select timeout = end of time
Feb 22 21:43:24-834204 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e160
Feb 22 21:43:24-834217 util-service-8273 DEBUG service: sending message with type 5Feb 22 21:43:24-834247 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e4e0
Feb 22 21:43:24-834263 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e160
Feb 22 21:43:24-834272 util-scheduler-12645 DEBUG Running task 0x7e716131e320
Feb 22 21:43:24-834285 util-scheduler-8273 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-834304 util-mst-12645 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 22 21:43:24-834309 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e4e0
Feb 22 21:43:24-834329 util-scheduler-12645 DEBUG destroying task 0x7e716131e320
Feb 22 21:43:24-834418 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e4e0
Feb 22 21:43:24-834427 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:34 2019
Feb 22 21:43:24-834441 util-scheduler-8273 DEBUG select timeout = end of time
Feb 22 21:43:24-834450 util-scheduler-12645 DEBUG Running task 0x7e716131e1d0
Feb 22 21:43:24-834473 util-mst-12645 DEBUG MST receives 0 bytes with 8 bytes already in private buffer
Feb 22 21:43:24-834492 util-client-12645 DEBUG Received message of type 5 and size 8 from resolver
Feb 22 21:43:24-834507 util-mq-12645 DEBUG Received message of type 5 and size 8
Feb 22 21:43:24-834525 util-resolver-api-12645 DEBUG Received empty response from DNS service
Feb 22 21:43:24-834540 test-gnunet-service-arm-12645 ERROR Failed to resolve our own hostname!
Feb 22 21:43:24-834561 test-gnunet-service-arm-12645 ERROR Assertion failed at test_gnunet_service_arm.c:118.
Feb 22 21:43:24-834576 arm-api-12645 DEBUG Stopping service `arm'
Feb 22 21:43:24-834597 util-mq-12645 DEBUG sending message of type 9, queue empty (MQ: 0x7e7161338150)
Feb 22 21:43:24-834613 util-resolver-api-12645 DEBUG Asked to cancel request to resolve hostname `uptimegirl'.
Feb 22 21:43:24-834626 util-scheduler-12645 DEBUG canceling task 0x7e716131e2b0
Feb 22 21:43:24-834635 util-scheduler-12645 DEBUG destroying task 0x7e716131e2b0
Feb 22 21:43:24-834648 util-scheduler-12645 DEBUG Adding task 0x7e716131e160
Feb 22 21:43:24-834660 util-mst-12645 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 21:43:24-834673 util-scheduler-12645 DEBUG destroying task 0x7e716131e1d0
Feb 22 21:43:24-834689 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-834705 util-scheduler-12645 DEBUG Running task 0x7e716131e320
Feb 22 21:43:24-834714 util-client-12645 DEBUG message of type 9 trying to send with socket 0x7e7161347680 (MQ: 0x7e7161338150
Feb 22 21:43:24-834928 util-scheduler-21510 DEBUG Running task 0x788af81211d0
Feb 22 21:43:24-834953 util-mst-21510 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 22 21:43:24-834973 util-scheduler-21510 DEBUG destroying task 0x788af81211d0
Feb 22 21:43:24-834988 util-scheduler-21510 DEBUG select timeout = end of time
Feb 22 21:43:24-835001 util-scheduler-21510 DEBUG Running task 0x788af8121080
Feb 22 21:43:24-835011 util-mst-21510 DEBUG MST receives 0 bytes with 20 bytes already in private buffer
Feb 22 21:43:24-835021 util-service-21510 DEBUG Received message of type 9 and size 20 from client
Feb 22 21:43:24-835032 util-scheduler-21510 DEBUG Adding task 0x788af81211d0
Feb 22 21:43:24-835041 util-mq-21510 DEBUG Received message of type 9 and size 20
Feb 22 21:43:24-835058 arm-9890 INFO Preparing to stop `arm'
Feb 22 21:43:24-835067 util-scheduler-21510 DEBUG canceling task 0x788af81211d0
Feb 22 21:43:24-835076 util-scheduler-21510 DEBUG destroying task 0x788af81211d0
Feb 22 21:43:24-835086 util-scheduler-21510 DEBUG Adding task 0x788af81211d0
Feb 22 21:43:24-835094 arm-9890 DEBUG Sending status 3 of service `arm' to client
Feb 22 21:43:24-835112 util-mq-21510 DEBUG sending message of type 10, queue empty (MQ: 0x788af81370c0)
Feb 22 21:43:24-835122 util-service-21510 DEBUG Sending message of type 10 and size 24 to client
Feb 22 21:43:24-835135 util-scheduler-21510 DEBUG Adding task 0x788af8122c10
Feb 22 21:43:24-835144 util-mst-21510 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 21:43:24-835153 util-scheduler-21510 DEBUG destroying task 0x788af8121080
Feb 22 21:43:24-835164 util-scheduler-21510 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-835178 util-scheduler-21510 DEBUG Running task 0x788af8122c10
Feb 22 21:43:24-835189 arm-9890 DEBUG Triggering shutdown
Feb 22 21:43:24-835200 util-scheduler-21510 DEBUG GNUNET_SCHEDULER_shutdown
Feb 22 21:43:24-835208 util-scheduler-21510 DEBUG canceling task 0x788af8121160
Feb 22 21:43:24-835217 util-scheduler-21510 DEBUG destroying task 0x788af8121160
Feb 22 21:43:24-835240 util-scheduler-21510 DEBUG destroying task 0x788af8122c10
Feb 22 21:43:24-835250 util-scheduler-21510 DEBUG Running task 0x788af81211d0
Feb 22 21:43:24-835259 util-mst-21510 DEBUG MST receives 0 bytes with 0 bytes already in private buffer
Feb 22 21:43:24-835268 util-mst-21510 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 21:43:24-835277 util-scheduler-21510 DEBUG destroying task 0x788af81211d0
Feb 22 21:43:24-835286 util-scheduler-21510 DEBUG Running task 0x788af8122ba0
Feb 22 21:43:24-835295 util-service-21510 DEBUG service: sending message with type 10Feb 22 21:43:24-835307 util-scheduler-21510 DEBUG Adding task 0x788af8121160
Feb 22 21:43:24-835320 util-scheduler-21510 DEBUG destroying task 0x788af8122ba0
Feb 22 21:43:24-835334 util-scheduler-21510 DEBUG scheduler has more tasks ready!
Feb 22 21:43:24-835350 util-scheduler-21510 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-835369 util-scheduler-21510 DEBUG Running task 0x788af8121240
Feb 22 21:43:24-835382 arm-9890 DEBUG First shutdown phase
Feb 22 21:43:24-835447 util-client-12645 DEBUG sending message of type 9 successful
Feb 22 21:43:24-835486 util-scheduler-21510 DEBUG canceling task 0x788af81229e0
Feb 22 21:43:24-835498 util-scheduler-21510 DEBUG destroying task 0x788af81229e0
Feb 22 21:43:24-835532 util-scheduler-12645 DEBUG Adding task 0x7e716131e1d0
Feb 22 21:43:24-835570 util-scheduler-21510 DEBUG canceling task 0x788af81225f0
Feb 22 21:43:24-835582 util-scheduler-21510 DEBUG destroying task 0x788af81225f0
Feb 22 21:43:24-835609 util-scheduler-12645 DEBUG destroying task 0x7e716131e320
Feb 22 21:43:24-835646 util-scheduler-21510 DEBUG canceling task 0x788af8122430
Feb 22 21:43:24-835657 util-scheduler-21510 DEBUG destroying task 0x788af8122430
Feb 22 21:43:24-835691 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-835731 util-scheduler-12645 DEBUG Running task 0x7e716131e160
Feb 22 21:43:24-835752 util-resolver-api-12645 DEBUG Disconnecting from DNS service
Feb 22 21:43:24-835764 util-scheduler-12645 DEBUG canceling task 0x7e716131e2b0
Feb 22 21:43:24-835774 util-scheduler-12645 DEBUG destroying task 0x7e716131e2b0
Feb 22 21:43:24-835783 util-client-12645 DEBUG destroying socket: 0x7e71613476a0
Feb 22 21:43:24-835802 util-scheduler-12645 DEBUG destroying task 0x7e716131e160
Feb 22 21:43:24-835814 util-scheduler-12645 DEBUG Running task 0x7e716131e1d0
Feb 22 21:43:24-835834 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e470
Feb 22 21:43:24-835846 arm-9890 INFO Stopping service `resolver'
Feb 22 21:43:24-835855 resolver-8273 DEBUG Client dropped: 0x79a0f8d30080 (MQ: 0x79a0f8d371e0)
Feb 22 21:43:24-835869 util-os-priority-21510 DEBUG Sending signal 15 to pid: 8273 via system call
Feb 22 21:43:24-835874 util-scheduler-8273 DEBUG Adding task 0x79a0f8d1e160
Feb 22 21:43:24-835901 arm-9890 DEBUG resolver
Feb 22 21:43:24-835890 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e470
Feb 22 21:43:24-835916 arm-9890 DEBUG Delaying shutdown, have 1 childs still running
Feb 22 21:43:24-835925 util-scheduler-8273 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-835931 util-scheduler-21510 DEBUG destroying task 0x788af8121240
Feb 22 21:43:24-835946 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e160
Feb 22 21:43:24-835948 util-scheduler-21510 DEBUG scheduler has more tasks ready!
Feb 22 21:43:24-835968 util-scheduler-21510 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-835972 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e160
Feb 22 21:43:24-835987 util-scheduler-21510 DEBUG Running task 0x788af8121160
Feb 22 21:43:24-835989 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e0f0
Feb 22 21:43:24-836001 util-scheduler-21510 DEBUG destroying task 0x788af8121160
Feb 22 21:43:24-836009 util-scheduler-8273 DEBUG GNUNET_SCHEDULER_shutdown
Feb 22 21:43:24-836020 util-scheduler-21510 DEBUG select timeout = end of time
Feb 22 21:43:24-836027 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e0f0
Feb 22 21:43:24-836045 util-scheduler-8273 DEBUG scheduler has more tasks ready!
Feb 22 21:43:24-836044 util-scheduler-12645 DEBUG destroying task 0x7e716131e1d0
Feb 22 21:43:24-836080 util-scheduler-8273 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-836080 util-scheduler-12645 DEBUG Running task 0x7e716131e240
Feb 22 21:43:24-836101 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e080
Feb 22 21:43:24-836101 util-mst-12645 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 22 21:43:24-836117 util-scheduler-8273 DEBUG canceling task 0x79a0f8d1e1d0
Feb 22 21:43:24-836122 util-scheduler-12645 DEBUG destroying task 0x7e716131e240
Feb 22 21:43:24-836133 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e1d0
Feb 22 21:43:24-836143 util-scheduler-12645 DEBUG select timeout = end of time
Feb 22 21:43:24-836161 util-scheduler-12645 DEBUG Running task 0x7e716131e160
Feb 22 21:43:24-836178 util-mst-12645 DEBUG MST receives 0 bytes with 24 bytes already in private buffer
Feb 22 21:43:24-836194 util-client-12645 DEBUG Received message of type 10 and size 24 from arm
Feb 22 21:43:24-836209 util-mq-12645 DEBUG Received message of type 10 and size 24
Feb 22 21:43:24-836225 util-mst-12645 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 21:43:24-836148 util-scheduler-8273 DEBUG canceling task 0x79a0f8d1e390
Feb 22 21:43:24-836240 util-scheduler-12645 DEBUG destroying task 0x7e716131e160
Feb 22 21:43:24-836256 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e390
Feb 22 21:43:24-836261 util-scheduler-12645 DEBUG select timeout = end of time
Feb 22 21:43:24-836273 util-scheduler-8273 DEBUG canceling task 0x79a0f8d1e400
Feb 22 21:43:24-836286 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e400
Feb 22 21:43:24-836296 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e080
Feb 22 21:43:24-836305 util-scheduler-8273 DEBUG Running task 0x79a0f8d1e320
Feb 22 21:43:24-836321 util-scheduler-8273 DEBUG canceling task 0x79a0f8d1e240
Feb 22 21:43:24-836330 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e240
Feb 22 21:43:24-836342 util-scheduler-8273 DEBUG canceling task 0x79a0f8d1e2b0
Feb 22 21:43:24-836351 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e2b0
Feb 22 21:43:24-836361 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e320
Feb 22 21:43:24-836370 util-scheduler-8273 DEBUG GNUNET_SCHEDULER_shutdown
Feb 22 21:43:24-836378 util-scheduler-8273 DEBUG canceling task 0x79a0f8d1e160
Feb 22 21:43:24-836387 util-scheduler-8273 DEBUG destroying task 0x79a0f8d1e160
Feb 22 21:43:24-836844 util-scheduler-21510 DEBUG select timeout = end of time
Feb 22 21:43:24-836862 util-scheduler-21510 DEBUG Running task 0x788af81212b0
Feb 22 21:43:24-836893 arm-9890 INFO Service `resolver' took 1024 µs to terminate
Feb 22 21:43:24-836904 arm-9890 DEBUG Sending status 1 of service `resolver' to client
Feb 22 21:43:24-836915 arm-9890 DEBUG Last shutdown phase
Feb 22 21:43:24-836927 util-scheduler-21510 DEBUG canceling task 0x788af8122cf0
Feb 22 21:43:24-836936 util-scheduler-21510 DEBUG destroying task 0x788af8122cf0
Feb 22 21:43:24-836947 arm-9890 DEBUG Client dropped: 0x788af8133080 (MQ: 0x788af81370c0)
Feb 22 21:43:24-836956 util-scheduler-21510 DEBUG canceling task 0x788af8121080
Feb 22 21:43:24-836965 util-scheduler-21510 DEBUG destroying task 0x788af8121080
Feb 22 21:43:24-836976 util-scheduler-21510 DEBUG Adding task 0x788af8121080
Feb 22 21:43:24-836984 util-scheduler-21510 DEBUG canceling task 0x788af8121160
Feb 22 21:43:24-836993 util-scheduler-21510 DEBUG destroying task 0x788af8121160
Feb 22 21:43:24-837006 util-scheduler-21510 DEBUG destroying task 0x788af81212b0
Feb 22 21:43:24-837023 util-scheduler-21510 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-837040 util-scheduler-21510 DEBUG Running task 0x788af8121080
Feb 22 21:43:24-837065 util-scheduler-21510 DEBUG destroying task 0x788af8121080
Feb 22 21:43:24-837078 util-scheduler-21510 DEBUG GNUNET_SCHEDULER_shutdown
Feb 22 21:43:24-837112 util-21510 DEBUG Failed to retrieve filename
Feb 22 21:43:24-838126 util-scheduler-12645 DEBUG Running task 0x7e716131e1d0
Feb 22 21:43:24-838162 util-scheduler-12645 DEBUG Adding task 0x7e716131e160
Feb 22 21:43:24-838209 util-scheduler-12645 DEBUG Adding task 0x7e716131e240
Feb 22 21:43:24-838237 util-client-12645 DEBUG destroying socket: 0x7e7161347680
Feb 22 21:43:24-838269 util-scheduler-12645 DEBUG destroying task 0x7e716131e1d0
Feb 22 21:43:24-838290 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-838311 util-scheduler-12645 DEBUG Running task 0x7e716131e240
Feb 22 21:43:24-838335 util-12645 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 22 21:43:24-838351 util-12645 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 22 21:43:24-838373 util-12645 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 22 21:43:24-838392 util-12645 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 22 21:43:24-838412 util-12645 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 21:43:24-838429 util-12645 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 21:43:24-838451 util-12645 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 22 21:43:24-838470 util-12645 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 22 21:43:24-838486 util-12645 DEBUG Asked to $-expand ${USER:-user}
Feb 22 21:43:24-838502 util-12645 DEBUG Split into `USER' and `' with default user
Feb 22 21:43:24-838532 util-scheduler-12645 DEBUG Adding task 0x7e716131e1d0
Feb 22 21:43:24-838554 arm-api-12645 DEBUG Sending TEST message to ARM
Feb 22 21:43:24-838572 util-mq-12645 DEBUG sending message of type 15, queue empty (MQ: 0x7e7161338150)
Feb 22 21:43:24-838588 util-client-12645 DEBUG message of type 15 waiting for socket
Feb 22 21:43:24-838604 util-scheduler-12645 DEBUG destroying task 0x7e716131e240
Feb 22 21:43:24-838620 util-scheduler-12645 DEBUG Running task 0x7e716131e160
Feb 22 21:43:24-838641 arm-api-12645 DEBUG Disconnecting from ARM service
Feb 22 21:43:24-838657 util-scheduler-12645 DEBUG canceling task 0x7e716131e1d0
Feb 22 21:43:24-838676 util-scheduler-12645 DEBUG destroying task 0x7e716131e1d0
Feb 22 21:43:24-838696 util-mq-12645 DEBUG MQ destroy drops current message of type 15
Feb 22 21:43:24-838716 util-scheduler-12645 DEBUG destroying task 0x7e716131e160
Feb 22 21:43:24-838736 util-scheduler-12645 DEBUG GNUNET_SCHEDULER_shutdown
Feb 22 21:43:24-838754 util-scheduler-12645 DEBUG canceling task 0x7e716131e0f0
Feb 22 21:43:24-838769 util-scheduler-12645 DEBUG destroying task 0x7e716131e0f0
Feb 22 21:43:24-838788 util-scheduler-12645 DEBUG scheduler has more tasks ready!
Feb 22 21:43:24-838808 util-scheduler-12645 DEBUG select timeout = Fri Feb 22 21:43:24 2019
Feb 22 21:43:24-838830 util-scheduler-12645 DEBUG Running task 0x7e716131e080
Feb 22 21:43:24-838849 util-scheduler-12645 DEBUG destroying task 0x7e716131e080
Feb 22 21:43:24-838866 util-scheduler-12645 DEBUG GNUNET_SCHEDULER_shutdown
Test failed with error code 3
FAIL test_gnunet_service_arm (exit status: 3)

test-suite.log (81,232 bytes)   

nikita

2019-02-22 23:23

developer   ~0013951

in resolv.conf commented the ipv6 address which only exists for cable connection inside the internal network (my isp doesn't have working ipv6).
test-suite-2.log (78,114 bytes)   
================================================
   gnunet 0.11.0pre66: src/arm/test-suite.log
================================================

# TOTAL: 4
# PASS:  3
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_gnunet_service_arm
=============================

Feb 22 22:21:37-201726 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 22 22:21:37-201866 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 22 22:21:37-201920 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 22 22:21:37-201954 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 22 22:21:37-201971 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 22 22:21:37-202002 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 22 22:21:37-202020 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 22 22:21:37-202051 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 22 22:21:37-202080 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 22 22:21:37-202111 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 22 22:21:37-202125 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 22 22:21:37-202203 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 22 22:21:37-202226 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 22 22:21:37-202258 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 22 22:21:37-202267 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 22 22:21:37-202299 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 22 22:21:37-202323 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 22 22:21:37-202354 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 22 22:21:37-202376 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 22 22:21:37-202407 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 22 22:21:37-202423 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 22 22:21:37-202454 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 22 22:21:37-202503 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 22 22:21:37-202534 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 22 22:21:37-202560 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 22 22:21:37-202591 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 22 22:21:37-202608 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 22 22:21:37-202643 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 22 22:21:37-202741 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 22 22:21:37-202772 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 22 22:21:37-202783 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 22 22:21:37-202813 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 22 22:21:37-202832 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 22 22:21:37-202864 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 22 22:21:37-202933 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 22 22:21:37-202985 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 22 22:21:37-203042 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 22 22:21:37-203073 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 22 22:21:37-203103 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 22 22:21:37-203134 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 22 22:21:37-203159 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 22 22:21:37-203190 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 22 22:21:37-203213 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 22 22:21:37-203244 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 22 22:21:37-203259 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 22 22:21:37-203290 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 22 22:21:37-203304 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 22 22:21:37-203334 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 22 22:21:37-203360 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 22 22:21:37-203391 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 22 22:21:37-203409 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 22 22:21:37-203440 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 22 22:21:37-203465 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 22 22:21:37-203496 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 22 22:21:37-203530 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 22 22:21:37-203561 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 22 22:21:37-203591 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 22 22:21:37-203623 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 22 22:21:37-203638 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 22 22:21:37-203669 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 22 22:21:37-203684 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 22 22:21:37-203715 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 22 22:21:37-203736 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 22 22:21:37-203767 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 22 22:21:37-203786 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 22 22:21:37-203817 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 22 22:21:37-203836 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 22 22:21:37-203867 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 22 22:21:37-203899 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 22 22:21:37-203940 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 22 22:21:37-203968 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 22 22:21:37-203999 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 22 22:21:37-204022 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 22 22:21:37-204053 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 22 22:21:37-204094 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 22 22:21:37-204126 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 22 22:21:37-204163 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 22 22:21:37-204194 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 22 22:21:37-204212 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 22 22:21:37-204246 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 22 22:21:37-204265 util-1467 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 22 22:21:37-204296 util-1467 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 22 22:21:37-204318 util-1467 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 22:21:37-204352 util-1467 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 22:21:37-204361 util-1467 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 22 22:21:37-204409 util-1467 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 22 22:21:37-204444 util-1467 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 22 22:21:37-204488 util-1467 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 22 22:21:37-204592 util-scheduler-1467 DEBUG Registering signal handlers
Feb 22 22:21:37-204624 util-scheduler-1467 DEBUG Adding task 0x7ee19891e080
Feb 22 22:21:37-204641 util-scheduler-1467 DEBUG Adding continuation task 0x7ee19891e160
Feb 22 22:21:37-204652 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-204668 util-scheduler-1467 DEBUG Running task 0x7ee19891e080
Feb 22 22:21:37-204677 util-os-priority-1467 DEBUG Not installing a handler because $GNUNET_OS_CONTROL_PIPE is empty
Feb 22 22:21:37-204688 util-scheduler-1467 DEBUG destroying task 0x7ee19891e080
Feb 22 22:21:37-204696 util-scheduler-1467 DEBUG Running task 0x7ee19891e160
Feb 22 22:21:37-204713 util-speedup-1467 DEBUG Speed up disabled
Feb 22 22:21:37-204722 util-scheduler-1467 DEBUG Adding shutdown task 0x7ee19891e080
Feb 22 22:21:37-204741 util-1467 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 22 22:21:37-204749 util-1467 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 22 22:21:37-204758 util-1467 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 22 22:21:37-204766 util-1467 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 22 22:21:37-204774 util-1467 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 22:21:37-204781 util-1467 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 22:21:37-204794 util-1467 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 22 22:21:37-204802 util-1467 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 22 22:21:37-204819 util-1467 DEBUG Asked to $-expand ${USER:-user}
Feb 22 22:21:37-204827 util-1467 DEBUG Split into `USER' and `' with default user
Feb 22 22:21:37-204839 util-scheduler-1467 DEBUG Adding task 0x7ee19891e1d0
Feb 22 22:21:37-204857 arm-api-1467 DEBUG Sending TEST message to ARM
Feb 22 22:21:37-204867 util-mq-1467 DEBUG sending message of type 15, queue empty (MQ: 0x7ee198938150)
Feb 22 22:21:37-204876 util-client-1467 DEBUG message of type 15 waiting for socket
Feb 22 22:21:37-204887 arm-api-1467 DEBUG Starting service `arm'
Feb 22 22:21:37-204897 arm-api-1467 DEBUG Starting ARM service
Feb 22 22:21:37-205037 util-scheduler-1467 DEBUG Adding task 0x7ee19891e240
Feb 22 22:21:37-205063 util-scheduler-1467 DEBUG destroying task 0x7ee19891e160
Feb 22 22:21:37-205074 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-205086 util-scheduler-1467 DEBUG Running task 0x7ee19891e240
Feb 22 22:21:37-205094 arm-api-1467 DEBUG Notifying client that we started the ARM service
Feb 22 22:21:37-205103 test-gnunet-service-arm-1467 DEBUG Trying to resolve our own hostname!
Feb 22 22:21:37-205120 util-resolver-api-1467 DEBUG Resolving our hostname `uptimegirl'
Feb 22 22:21:37-205129 util-resolver-api-1467 DEBUG Trying to resolve hostname `uptimegirl'.
Feb 22 22:21:37-205141 util-scheduler-1467 DEBUG Adding task 0x7ee19891e2b0
Feb 22 22:21:37-205153 util-resolver-api-1467 DEBUG Will try to connect to DNS service in 1 ms
Feb 22 22:21:37-205161 util-scheduler-1467 DEBUG Adding task 0x7ee19891e320
Feb 22 22:21:37-205171 util-scheduler-1467 DEBUG destroying task 0x7ee19891e240
Feb 22 22:21:37-205178 util-scheduler-1467 DEBUG Running task 0x7ee19891e1d0
Feb 22 22:21:37-205190 util-1467 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 22 22:21:37-205198 util-1467 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 22 22:21:37-205206 util-1467 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 22 22:21:37-205214 util-1467 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 22 22:21:37-205223 util-1467 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 22:21:37-205230 util-1467 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 22:21:37-205240 util-1467 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 22 22:21:37-205247 util-1467 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 22 22:21:37-205256 util-1467 DEBUG Asked to $-expand ${USER:-user}
Feb 22 22:21:37-205263 util-1467 DEBUG Split into `USER' and `' with default user
Feb 22 22:21:37-205299 util-client-1467 DEBUG Failed to establish connection to `arm', no further addresses to try, will try again in 2 ms.
Feb 22 22:21:37-205308 util-scheduler-1467 DEBUG Adding task 0x7ee19891e240
Feb 22 22:21:37-205315 util-scheduler-1467 DEBUG destroying task 0x7ee19891e1d0
Feb 22 22:21:37-205325 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-207852 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 22 22:21:37-207984 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 22 22:21:37-208039 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 22 22:21:37-208073 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 22 22:21:37-208090 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 22 22:21:37-208122 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 22 22:21:37-208139 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 22 22:21:37-208171 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 22 22:21:37-208199 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 22 22:21:37-208243 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 22 22:21:37-208258 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 22 22:21:37-208289 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 22 22:21:37-208311 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 22 22:21:37-208342 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 22 22:21:37-208352 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 22 22:21:37-208383 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 22 22:21:37-208408 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 22 22:21:37-208439 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 22 22:21:37-208460 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 22 22:21:37-208492 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 22 22:21:37-208508 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 22 22:21:37-208539 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 22 22:21:37-208587 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 22 22:21:37-208618 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 22 22:21:37-208645 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 22 22:21:37-208676 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 22 22:21:37-208693 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 22 22:21:37-208725 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 22 22:21:37-208823 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 22 22:21:37-208856 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 22 22:21:37-208866 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 22 22:21:37-208897 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 22 22:21:37-208916 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 22 22:21:37-208948 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 22 22:21:37-209018 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 22 22:21:37-209050 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 22 22:21:37-209105 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 22 22:21:37-209136 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 22 22:21:37-209166 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 22 22:21:37-209197 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 22 22:21:37-209222 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 22 22:21:37-209253 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 22 22:21:37-209276 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 22 22:21:37-209316 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 22 22:21:37-209331 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 22 22:21:37-209363 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 22 22:21:37-209377 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 22 22:21:37-209408 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 22 22:21:37-209434 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 22 22:21:37-209465 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 22 22:21:37-209484 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 22 22:21:37-209515 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 22 22:21:37-209540 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 22 22:21:37-209572 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 22 22:21:37-209605 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 22 22:21:37-209637 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 22 22:21:37-209667 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 22 22:21:37-209698 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 22 22:21:37-209714 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 22 22:21:37-209745 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 22 22:21:37-209760 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 22 22:21:37-209791 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 22 22:21:37-209813 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 22 22:21:37-209844 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 22 22:21:37-209863 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 22 22:21:37-209894 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 22 22:21:37-209914 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 22 22:21:37-209945 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 22 22:21:37-209981 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 22 22:21:37-210012 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 22 22:21:37-210040 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 22 22:21:37-210071 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 22 22:21:37-210094 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 22 22:21:37-210125 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 22 22:21:37-210168 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 22 22:21:37-210201 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 22 22:21:37-210238 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 22 22:21:37-210278 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 22 22:21:37-210297 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 22 22:21:37-210331 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 22 22:21:37-210350 util-10978 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 22 22:21:37-210382 util-10978 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 22 22:21:37-210404 util-10978 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 22:21:37-210437 util-10978 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 22:21:37-210447 util-10978 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 22 22:21:37-210495 util-10978 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 22 22:21:37-210530 util-10978 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 22 22:21:37-210575 util-10978 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 22 22:21:37-210681 util-10978 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 22 22:21:37-210691 util-10978 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 22 22:21:37-210700 util-10978 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 22 22:21:37-210708 util-10978 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 22 22:21:37-210717 util-10978 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 22:21:37-210725 util-10978 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 22:21:37-210746 util-10978 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 22 22:21:37-210755 util-10978 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 22 22:21:37-210764 util-10978 DEBUG Asked to $-expand ${USER:-user}
Feb 22 22:21:37-210772 util-10978 DEBUG Split into `USER' and `' with default user
Feb 22 22:21:37-211576 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-211661 util-service-23417 DEBUG Service `arm' runs with configuration from `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 22:21:37-211727 util-scheduler-23417 DEBUG Registering signal handlers
Feb 22 22:21:37-211761 util-scheduler-23417 DEBUG Adding task 0x7895eb721080
Feb 22 22:21:37-211791 util-scheduler-23417 DEBUG Adding continuation task 0x7895eb7211d0
Feb 22 22:21:37-211802 util-scheduler-23417 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-211836 util-scheduler-23417 DEBUG Running task 0x7895eb721080
Feb 22 22:21:37-211846 util-os-priority-23417 DEBUG Not installing a handler because $GNUNET_OS_CONTROL_PIPE is empty
Feb 22 22:21:37-211889 util-scheduler-23417 DEBUG destroying task 0x7895eb721080
Feb 22 22:21:37-211897 util-scheduler-23417 DEBUG Running task 0x7895eb7211d0
Feb 22 22:21:37-212176 util-scheduler-23417 DEBUG Adding shutdown task 0x7895eb721240
Feb 22 22:21:37-212191 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212211 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212236 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212254 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212270 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212286 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212302 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212318 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212346 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212364 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212380 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212397 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212413 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212430 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212446 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212463 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212479 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212496 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212513 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212529 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212550 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212567 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212585 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212604 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212621 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212638 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212656 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212672 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212689 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212707 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212724 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212744 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212761 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212779 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212796 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212814 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212838 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212857 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-212897 util-23417 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-nat-auto.sock
Feb 22 22:21:37-212906 util-23417 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-nat-auto.sock' with default (null)
Feb 22 22:21:37-212915 util-23417 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 22 22:21:37-212924 util-23417 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 22 22:21:37-212933 util-23417 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 22:21:37-212941 util-23417 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 22:21:37-213375 arm-10978 INFO ARM now monitors connections to service `nat-auto' at `/tmp/gnunet-system-runtime//gnunet-service-nat-auto.sock'
Feb 22 22:21:37-213391 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-213422 util-23417 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-nat.sock
Feb 22 22:21:37-213431 util-23417 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-nat.sock' with default (null)
Feb 22 22:21:37-213439 util-23417 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 22 22:21:37-213448 util-23417 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 22 22:21:37-213456 util-23417 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 22:21:37-213464 util-23417 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 22:21:37-213625 arm-10978 INFO ARM now monitors connections to service `nat' at `/tmp/gnunet-system-runtime//gnunet-service-nat.sock'
Feb 22 22:21:37-213639 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-213660 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-213678 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-213699 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-213719 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-213738 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-213766 util-23417 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-statistics.sock
Feb 22 22:21:37-213800 util-23417 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-statistics.sock' with default (null)
Feb 22 22:21:37-213810 util-23417 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 22 22:21:37-213818 util-23417 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 22 22:21:37-213826 util-23417 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 22:21:37-213833 util-23417 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 22:21:37-213995 arm-10978 INFO ARM now monitors connections to service `statistics' at `/tmp/gnunet-system-runtime//gnunet-service-statistics.sock'
Feb 22 22:21:37-214009 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-214063 util-23417 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-resolver.sock
Feb 22 22:21:37-214071 util-23417 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-resolver.sock' with default (null)
Feb 22 22:21:37-214079 util-23417 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 22 22:21:37-214087 util-23417 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 22 22:21:37-214095 util-23417 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 22:21:37-214102 util-23417 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 22:21:37-214261 arm-10978 INFO ARM now monitors connections to service `resolver' at `/tmp/gnunet-system-runtime//gnunet-service-resolver.sock'
Feb 22 22:21:37-214295 arm-10978 INFO ARM now monitors connections to service `resolver' at `[::]:23355'
Feb 22 22:21:37-214315 arm-10978 INFO ARM now monitors connections to service `resolver' at `0.0.0.0:23355'
Feb 22 22:21:37-214328 util-scheduler-23417 DEBUG destroying task 0x7895eb7211d0
Feb 22 22:21:37-214337 util-scheduler-23417 DEBUG select timeout = end of time
Feb 22 22:21:37-222183 util-scheduler-1467 DEBUG Running task 0x7ee19891e240
Feb 22 22:21:37-222213 util-1467 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 22 22:21:37-222221 util-1467 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 22 22:21:37-222230 util-1467 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 22 22:21:37-222238 util-1467 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 22 22:21:37-222246 util-1467 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 22:21:37-222253 util-1467 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 22:21:37-222263 util-1467 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 22 22:21:37-222271 util-1467 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 22 22:21:37-222279 util-1467 DEBUG Asked to $-expand ${USER:-user}
Feb 22 22:21:37-222286 util-1467 DEBUG Split into `USER' and `' with default user
Feb 22 22:21:37-222324 util-client-1467 DEBUG Successfully connected to unixpath `/tmp/gnunet-ng0-runtime//gnunet-service-arm.sock'!
Feb 22 22:21:37-222341 util-scheduler-1467 DEBUG destroying task 0x7ee19891e240
Feb 22 22:21:37-222348 util-scheduler-1467 DEBUG Running task 0x7ee19891e320
Feb 22 22:21:37-222345 util-scheduler-23417 DEBUG Running task 0x7895eb721080
Feb 22 22:21:37-222356 util-resolver-api-1467 DEBUG Trying to connect to DNS service
Feb 22 22:21:37-222366 util-1467 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-resolver.sock
Feb 22 22:21:37-222369 util-network-23417 DEBUG Accepting connection on `/tmp/gnunet-ng0-runtime//gnunet-service-arm.sock'
Feb 22 22:21:37-222373 util-1467 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-resolver.sock' with default (null)
Feb 22 22:21:37-222381 util-1467 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 22 22:21:37-222386 util-service-23417 DEBUG Service accepted incoming connection from �.
Feb 22 22:21:37-222389 util-1467 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 22 22:21:37-222397 util-1467 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 22:21:37-222420 util-1467 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 22:21:37-222427 util-network-23417 DEBUG Accepting connection on `/tmp/gnunet-ng0-runtime//gnunet-service-arm.sock'
Feb 22 22:21:37-222439 util-scheduler-23417 DEBUG destroying task 0x7895eb721080
Feb 22 22:21:37-222449 util-scheduler-23417 DEBUG select timeout = end of time
Feb 22 22:21:37-222461 util-scheduler-1467 DEBUG Adding task 0x7ee19891e240
Feb 22 22:21:37-222474 util-resolver-api-1467 DEBUG Transmitting DNS resolution request (ID 1) to DNS service
Feb 22 22:21:37-222483 util-mq-1467 DEBUG sending message of type 4, queue empty (MQ: 0x7ee198938270)
Feb 22 22:21:37-222490 util-client-1467 DEBUG message of type 4 waiting for socket
Feb 22 22:21:37-222497 util-scheduler-1467 DEBUG destroying task 0x7ee19891e320
Feb 22 22:21:37-222507 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-222519 util-scheduler-1467 DEBUG Running task 0x7ee19891e240
Feb 22 22:21:37-222528 util-1467 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-resolver.sock
Feb 22 22:21:37-222535 util-1467 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-resolver.sock' with default (null)
Feb 22 22:21:37-222543 util-1467 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 22 22:21:37-222551 util-1467 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 22 22:21:37-222559 util-1467 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 22:21:37-222566 util-1467 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 22:21:37-222590 util-client-1467 DEBUG Successfully connected to unixpath `/tmp/gnunet-system-runtime//gnunet-service-resolver.sock'!
Feb 22 22:21:37-222597 util-scheduler-23417 DEBUG Running task 0x7895eb722ba0
Feb 22 22:21:37-222599 util-scheduler-1467 DEBUG destroying task 0x7ee19891e240
Feb 22 22:21:37-222607 util-scheduler-1467 DEBUG Running task 0x7ee19891e390
Feb 22 22:21:37-222610 util-scheduler-23417 DEBUG canceling task 0x7895eb722c80
Feb 22 22:21:37-222615 util-client-1467 DEBUG message of type 15 trying to send with socket 0x7ee198947680 (MQ: 0x7ee198938150
Feb 22 22:21:37-222618 util-scheduler-23417 DEBUG destroying task 0x7895eb722c80
Feb 22 22:21:37-222626 util-scheduler-23417 DEBUG canceling task 0x7895eb722c10
Feb 22 22:21:37-222630 util-client-1467 DEBUG sending message of type 15 successful
Feb 22 22:21:37-222633 util-scheduler-23417 DEBUG destroying task 0x7895eb722c10
Feb 22 22:21:37-222639 util-scheduler-1467 DEBUG Adding task 0x7ee19891e240
Feb 22 22:21:37-222647 util-scheduler-1467 DEBUG destroying task 0x7ee19891e390
Feb 22 22:21:37-222651 arm-10978 DEBUG Starting service `resolver' using binary `gnunet-service-resolver' and configuration `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 22:21:37-222656 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-222666 util-scheduler-1467 DEBUG Running task 0x7ee19891e240
Feb 22 22:21:37-222673 util-scheduler-1467 DEBUG destroying task 0x7ee19891e240
Feb 22 22:21:37-222681 util-scheduler-1467 DEBUG Running task 0x7ee19891e470
Feb 22 22:21:37-222688 util-client-1467 DEBUG message of type 4 trying to send with socket 0x7ee1989476a0 (MQ: 0x7ee198938270
Feb 22 22:21:37-222696 util-client-1467 DEBUG sending message of type 4 successful
Feb 22 22:21:37-222704 util-scheduler-1467 DEBUG Adding task 0x7ee19891e240
Feb 22 22:21:37-222711 util-scheduler-1467 DEBUG destroying task 0x7ee19891e470
Feb 22 22:21:37-222720 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-222730 util-scheduler-1467 DEBUG Running task 0x7ee19891e240
Feb 22 22:21:37-222737 util-scheduler-1467 DEBUG destroying task 0x7ee19891e240
Feb 22 22:21:37-222746 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:47 2019
Feb 22 22:21:37-222823 arm-10978 INFO Starting service `resolver'
Feb 22 22:21:37-222844 arm-10978 DEBUG Sending status 2 of service `resolver' to client
Feb 22 22:21:37-222871 util-scheduler-23417 DEBUG destroying task 0x7895eb722ba0
Feb 22 22:21:37-222895 util-scheduler-23417 DEBUG select timeout = end of time
Feb 22 22:21:37-222906 util-scheduler-23417 DEBUG Running task 0x7895eb7211d0
Feb 22 22:21:37-222938 util-mst-23417 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 22 22:21:37-222948 util-service-23417 DEBUG Received message of type 15 and size 4 from client
Feb 22 22:21:37-222958 util-scheduler-23417 DEBUG Adding task 0x7895eb721080
Feb 22 22:21:37-222967 util-mq-23417 DEBUG Received message of type 15 and size 4
Feb 22 22:21:37-222983 util-mq-23417 DEBUG sending message of type 15, queue empty (MQ: 0x7895eb7370c0)
Feb 22 22:21:37-222992 util-service-23417 DEBUG Sending message of type 15 and size 4 to client
Feb 22 22:21:37-223002 util-scheduler-23417 DEBUG canceling task 0x7895eb721080
Feb 22 22:21:37-223010 util-scheduler-23417 DEBUG destroying task 0x7895eb721080
Feb 22 22:21:37-223018 util-scheduler-23417 DEBUG Adding task 0x7895eb721080
Feb 22 22:21:37-223026 util-mst-23417 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 22:21:37-223034 util-scheduler-23417 DEBUG destroying task 0x7895eb7211d0
Feb 22 22:21:37-223044 util-scheduler-23417 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-223054 util-scheduler-23417 DEBUG Running task 0x7895eb721080
Feb 22 22:21:37-223063 util-mst-23417 DEBUG MST receives 0 bytes with 0 bytes already in private buffer
Feb 22 22:21:37-223070 util-mst-23417 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 22:21:37-223078 util-scheduler-23417 DEBUG destroying task 0x7895eb721080
Feb 22 22:21:37-223085 util-scheduler-23417 DEBUG Running task 0x7895eb722ba0
Feb 22 22:21:37-223093 util-service-23417 DEBUG service: sending message with type 15Feb 22 22:21:37-223112 util-scheduler-23417 DEBUG Adding task 0x7895eb721080
Feb 22 22:21:37-223116 util-scheduler-1467 DEBUG Running task 0x7ee19891e1d0
Feb 22 22:21:37-223120 util-scheduler-23417 DEBUG destroying task 0x7895eb722ba0
Feb 22 22:21:37-223133 util-scheduler-23417 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-223138 util-mst-1467 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 22 22:21:37-223143 util-scheduler-23417 DEBUG Running task 0x7895eb721080
Feb 22 22:21:37-223151 util-scheduler-23417 DEBUG destroying task 0x7895eb721080
Feb 22 22:21:37-223151 util-client-1467 DEBUG Received message of type 15 and size 4 from arm
Feb 22 22:21:37-223160 util-scheduler-23417 DEBUG select timeout = end of time
Feb 22 22:21:37-223165 util-mq-1467 DEBUG Received message of type 15 and size 4
Feb 22 22:21:37-223178 arm-api-1467 DEBUG Got confirmation from ARM that we are up!
Feb 22 22:21:37-223190 util-mst-1467 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 22:21:37-223202 util-scheduler-1467 DEBUG destroying task 0x7ee19891e1d0
Feb 22 22:21:37-223216 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:47 2019
Feb 22 22:21:37-225739 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 22 22:21:37-225887 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 22 22:21:37-225946 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 22 22:21:37-225982 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 22 22:21:37-226000 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 22 22:21:37-226032 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 22 22:21:37-226050 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 22 22:21:37-226082 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 22 22:21:37-226111 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 22 22:21:37-226143 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 22 22:21:37-226171 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 22 22:21:37-226204 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 22 22:21:37-226227 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 22 22:21:37-226258 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 22 22:21:37-226268 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 22 22:21:37-226300 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 22 22:21:37-226324 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 22 22:21:37-226356 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 22 22:21:37-226377 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 22 22:21:37-226409 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 22 22:21:37-226425 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 22 22:21:37-226456 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 22 22:21:37-226505 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 22 22:21:37-226537 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 22 22:21:37-226564 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 22 22:21:37-226595 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 22 22:21:37-226613 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 22 22:21:37-226645 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 22 22:21:37-226744 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 22 22:21:37-226777 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 22 22:21:37-226787 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 22 22:21:37-226819 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 22 22:21:37-226837 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 22 22:21:37-226869 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 22 22:21:37-226941 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 22 22:21:37-226973 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 22 22:21:37-227029 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 22 22:21:37-227061 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 22 22:21:37-227091 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 22 22:21:37-227123 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 22 22:21:37-227148 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 22 22:21:37-227181 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 22 22:21:37-227204 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 22 22:21:37-227236 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 22 22:21:37-227263 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 22 22:21:37-227296 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 22 22:21:37-227311 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 22 22:21:37-227342 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 22 22:21:37-227368 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 22 22:21:37-227399 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 22 22:21:37-227418 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 22 22:21:37-227450 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 22 22:21:37-227475 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 22 22:21:37-227507 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 22 22:21:37-227541 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 22 22:21:37-227573 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 22 22:21:37-227603 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 22 22:21:37-227635 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 22 22:21:37-227650 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 22 22:21:37-227682 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 22 22:21:37-227697 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 22 22:21:37-227729 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 22 22:21:37-227750 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 22 22:21:37-227782 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 22 22:21:37-227800 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 22 22:21:37-227832 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 22 22:21:37-227852 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 22 22:21:37-227884 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 22 22:21:37-227920 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 22 22:21:37-227952 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 22 22:21:37-227980 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 22 22:21:37-228011 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 22 22:21:37-228034 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 22 22:21:37-228066 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 22 22:21:37-228110 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 22 22:21:37-228142 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 22 22:21:37-228180 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 22 22:21:37-228211 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 22 22:21:37-228238 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 22 22:21:37-228274 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 22 22:21:37-228292 util-17295 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 22 22:21:37-228324 util-17295 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 22 22:21:37-228349 util-17295 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 22:21:37-228385 util-17295 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 22:21:37-228395 util-17295 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 22 22:21:37-228445 util-17295 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 22 22:21:37-228480 util-17295 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 22 22:21:37-228525 util-17295 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 22 22:21:37-228669 util-17295 DEBUG Failed to retrieve filename
Feb 22 22:21:37-228680 util-service-17295 DEBUG Service `resolver' runs with configuration from `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 22 22:21:37-228714 util-scheduler-17295 DEBUG Registering signal handlers
Feb 22 22:21:37-228753 util-scheduler-17295 DEBUG Adding task 0x74796151e080
Feb 22 22:21:37-228773 util-scheduler-17295 DEBUG Adding continuation task 0x74796151e160
Feb 22 22:21:37-228784 util-scheduler-17295 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-228802 util-scheduler-17295 DEBUG Running task 0x74796151e080
Feb 22 22:21:37-228812 util-os-priority-17295 DEBUG Not installing a handler because $GNUNET_OS_CONTROL_PIPE is empty
Feb 22 22:21:37-228827 util-scheduler-17295 DEBUG destroying task 0x74796151e080
Feb 22 22:21:37-228835 util-scheduler-17295 DEBUG Running task 0x74796151e160
Feb 22 22:21:37-228844 util-scheduler-17295 DEBUG Adding shutdown task 0x74796151e080
Feb 22 22:21:37-228906 util-scheduler-17295 DEBUG Adding shutdown task 0x74796151e320
Feb 22 22:21:37-228949 resolver-17295 DEBUG Adding DNS server '192.168.1.1': success
Feb 22 22:21:37-228959 util-scheduler-17295 DEBUG destroying task 0x74796151e160
Feb 22 22:21:37-228968 util-scheduler-17295 DEBUG select timeout = end of time
Feb 22 22:21:37-228981 util-scheduler-17295 DEBUG Running task 0x74796151e1d0
Feb 22 22:21:37-228995 util-network-17295 DEBUG Accepting connection on `/tmp/gnunet-system-runtime//gnunet-service-resolver.sock'
Feb 22 22:21:37-229012 util-service-17295 DEBUG Service accepted incoming connection from  .
Feb 22 22:21:37-229029 util-network-17295 DEBUG Accepting connection on `/tmp/gnunet-system-runtime//gnunet-service-resolver.sock'
Feb 22 22:21:37-229039 util-scheduler-17295 DEBUG destroying task 0x74796151e1d0
Feb 22 22:21:37-229049 util-scheduler-17295 DEBUG select timeout = end of time
Feb 22 22:21:37-229058 util-scheduler-17295 DEBUG Running task 0x74796151e160
Feb 22 22:21:37-229076 util-mst-17295 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 22 22:21:37-229085 util-scheduler-17295 DEBUG destroying task 0x74796151e160
Feb 22 22:21:37-229095 util-scheduler-17295 DEBUG select timeout = end of time
Feb 22 22:21:37-229104 util-scheduler-17295 DEBUG Running task 0x74796151e1d0
Feb 22 22:21:37-229114 util-mst-17295 DEBUG MST receives 0 bytes with 27 bytes already in private buffer
Feb 22 22:21:37-229122 util-service-17295 DEBUG Received message of type 4 and size 27 from client
Feb 22 22:21:37-229132 util-scheduler-17295 DEBUG Adding task 0x74796151e160
Feb 22 22:21:37-229141 util-mq-17295 DEBUG Received message of type 4 and size 27
Feb 22 22:21:37-229164 util-scheduler-17295 DEBUG canceling task 0x74796151e160
Feb 22 22:21:37-229172 util-scheduler-17295 DEBUG destroying task 0x74796151e160
Feb 22 22:21:37-229181 util-scheduler-17295 DEBUG Adding task 0x74796151e160
Feb 22 22:21:37-229194 resolver-17295 DEBUG No cache entry for 'uptimegirl'
Feb 22 22:21:37-229202 resolver-17295 DEBUG resolve_and_cache `uptimegirl'
Feb 22 22:21:37-229318 util-scheduler-17295 DEBUG Adding task 0x74796151e400
Feb 22 22:21:37-229335 util-scheduler-17295 DEBUG Adding task 0x74796151e470
Feb 22 22:21:37-229344 resolver-17295 DEBUG Resolving uptimegirl, client_request_id = 1, dns_id = 29375
Feb 22 22:21:37-229353 util-mst-17295 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 22:21:37-229361 util-scheduler-17295 DEBUG destroying task 0x74796151e1d0
Feb 22 22:21:37-229371 util-scheduler-17295 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-229382 util-scheduler-17295 DEBUG Running task 0x74796151e470
Feb 22 22:21:37-229391 util-scheduler-17295 DEBUG Adding task 0x74796151e1d0
Feb 22 22:21:37-229442 resolver-17295 DEBUG Sent DNS request to 192.168.1.1:53
Feb 22 22:21:37-229456 util-scheduler-17295 DEBUG Adding task 0x74796151e4e0
Feb 22 22:21:37-229465 util-scheduler-17295 DEBUG destroying task 0x74796151e470
Feb 22 22:21:37-229473 util-scheduler-17295 DEBUG Running task 0x74796151e160
Feb 22 22:21:37-229481 util-mst-17295 DEBUG MST receives 0 bytes with 0 bytes already in private buffer
Feb 22 22:21:37-229489 util-mst-17295 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 22:21:37-229498 util-scheduler-17295 DEBUG destroying task 0x74796151e160
Feb 22 22:21:37-229508 util-scheduler-17295 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-230216 util-scheduler-17295 DEBUG Running task 0x74796151e4e0
Feb 22 22:21:37-230227 resolver-17295 DEBUG Receiving 60 byte DNS reply
Feb 22 22:21:37-230256 resolver-17295 DEBUG Got reply for hostname uptimegirl and request ID 1
Feb 22 22:21:37-230277 util-scheduler-17295 DEBUG canceling task 0x74796151e1d0
Feb 22 22:21:37-230285 util-scheduler-17295 DEBUG destroying task 0x74796151e1d0
Feb 22 22:21:37-230295 util-scheduler-17295 DEBUG Adding task 0x74796151e160
Feb 22 22:21:37-230307 util-scheduler-17295 DEBUG Adding task 0x74796151e1d0
Feb 22 22:21:37-230316 util-scheduler-17295 DEBUG destroying task 0x74796151e4e0
Feb 22 22:21:37-230327 util-scheduler-17295 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-230337 util-scheduler-17295 DEBUG Running task 0x74796151e160
Feb 22 22:21:37-230346 util-scheduler-17295 DEBUG Adding task 0x74796151e4e0
Feb 22 22:21:37-230361 resolver-17295 DEBUG Sent DNS request to 192.168.1.1:53
Feb 22 22:21:37-230369 util-scheduler-17295 DEBUG canceling task 0x74796151e1d0
Feb 22 22:21:37-230377 util-scheduler-17295 DEBUG destroying task 0x74796151e1d0
Feb 22 22:21:37-230386 util-scheduler-17295 DEBUG Adding task 0x74796151e1d0
Feb 22 22:21:37-230394 util-scheduler-17295 DEBUG destroying task 0x74796151e160
Feb 22 22:21:37-230403 util-scheduler-17295 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-231132 util-scheduler-17295 DEBUG Running task 0x74796151e1d0
Feb 22 22:21:37-231140 resolver-17295 DEBUG Receiving 72 byte DNS reply
Feb 22 22:21:37-231154 resolver-17295 DEBUG Got reply for hostname uptimegirl and request ID 1
Feb 22 22:21:37-231168 resolver-17295 DEBUG No cache entry for 'uptimegirl'
Feb 22 22:21:37-231176 resolver-17295 DEBUG Sending END message
Feb 22 22:21:37-231187 util-mq-17295 DEBUG sending message of type 5, queue empty (MQ: 0x747961537150)
Feb 22 22:21:37-231196 util-service-17295 DEBUG Sending message of type 5 and size 8 to client
Feb 22 22:21:37-231205 util-scheduler-17295 DEBUG canceling task 0x74796151e4e0
Feb 22 22:21:37-231213 util-scheduler-17295 DEBUG destroying task 0x74796151e4e0
Feb 22 22:21:37-231221 util-scheduler-17295 DEBUG canceling task 0x74796151e400
Feb 22 22:21:37-231229 util-scheduler-17295 DEBUG destroying task 0x74796151e400
Feb 22 22:21:37-231239 util-scheduler-17295 DEBUG Adding task 0x74796151e400
Feb 22 22:21:37-231258 util-scheduler-17295 DEBUG destroying task 0x74796151e1d0
Feb 22 22:21:37-231269 util-scheduler-17295 DEBUG select timeout = end of time
Feb 22 22:21:37-231280 util-scheduler-17295 DEBUG Running task 0x74796151e160
Feb 22 22:21:37-231288 util-service-17295 DEBUG service: sending message with type 5Feb 22 22:21:37-231306 util-scheduler-17295 DEBUG Adding task 0x74796151e1d0
Feb 22 22:21:37-231313 util-scheduler-1467 DEBUG Running task 0x7ee19891e320
Feb 22 22:21:37-231319 util-scheduler-17295 DEBUG destroying task 0x74796151e160
Feb 22 22:21:37-231336 util-mst-1467 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 22 22:21:37-231339 util-scheduler-17295 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-231353 util-scheduler-1467 DEBUG destroying task 0x7ee19891e320
Feb 22 22:21:37-231357 util-scheduler-17295 DEBUG Running task 0x74796151e1d0
Feb 22 22:21:37-231370 util-scheduler-17295 DEBUG destroying task 0x74796151e1d0
Feb 22 22:21:37-231372 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:47 2019
Feb 22 22:21:37-231386 util-scheduler-17295 DEBUG select timeout = end of time
Feb 22 22:21:37-231390 util-scheduler-1467 DEBUG Running task 0x7ee19891e1d0
Feb 22 22:21:37-231405 util-mst-1467 DEBUG MST receives 0 bytes with 8 bytes already in private buffer
Feb 22 22:21:37-231414 util-client-1467 DEBUG Received message of type 5 and size 8 from resolver
Feb 22 22:21:37-231422 util-mq-1467 DEBUG Received message of type 5 and size 8
Feb 22 22:21:37-231432 util-resolver-api-1467 DEBUG Received empty response from DNS service
Feb 22 22:21:37-231440 test-gnunet-service-arm-1467 ERROR Failed to resolve our own hostname!
Feb 22 22:21:37-231451 test-gnunet-service-arm-1467 ERROR Assertion failed at test_gnunet_service_arm.c:118.
Feb 22 22:21:37-231460 arm-api-1467 DEBUG Stopping service `arm'
Feb 22 22:21:37-231473 util-mq-1467 DEBUG sending message of type 9, queue empty (MQ: 0x7ee198938150)
Feb 22 22:21:37-231483 util-resolver-api-1467 DEBUG Asked to cancel request to resolve hostname `uptimegirl'.
Feb 22 22:21:37-231493 util-scheduler-1467 DEBUG canceling task 0x7ee19891e2b0
Feb 22 22:21:37-231500 util-scheduler-1467 DEBUG destroying task 0x7ee19891e2b0
Feb 22 22:21:37-231509 util-scheduler-1467 DEBUG Adding task 0x7ee19891e160
Feb 22 22:21:37-231517 util-mst-1467 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 22:21:37-231526 util-scheduler-1467 DEBUG destroying task 0x7ee19891e1d0
Feb 22 22:21:37-231536 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-231546 util-scheduler-1467 DEBUG Running task 0x7ee19891e320
Feb 22 22:21:37-231555 util-client-1467 DEBUG message of type 9 trying to send with socket 0x7ee198947680 (MQ: 0x7ee198938150
Feb 22 22:21:37-231565 util-client-1467 DEBUG sending message of type 9 successful
Feb 22 22:21:37-231574 util-scheduler-1467 DEBUG Adding task 0x7ee19891e1d0
Feb 22 22:21:37-231582 util-scheduler-1467 DEBUG destroying task 0x7ee19891e320
Feb 22 22:21:37-231581 util-scheduler-23417 DEBUG Running task 0x7895eb7211d0
Feb 22 22:21:37-231592 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-231601 util-mst-23417 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 22 22:21:37-231603 util-scheduler-1467 DEBUG Running task 0x7ee19891e1d0
Feb 22 22:21:37-231612 util-scheduler-1467 DEBUG destroying task 0x7ee19891e1d0
Feb 22 22:21:37-231619 util-scheduler-23417 DEBUG destroying task 0x7895eb7211d0
Feb 22 22:21:37-231622 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-231630 util-scheduler-23417 DEBUG select timeout = end of time
Feb 22 22:21:37-231641 util-scheduler-23417 DEBUG Running task 0x7895eb721080
Feb 22 22:21:37-231650 util-mst-23417 DEBUG MST receives 0 bytes with 20 bytes already in private buffer
Feb 22 22:21:37-231659 util-service-23417 DEBUG Received message of type 9 and size 20 from client
Feb 22 22:21:37-231668 util-scheduler-23417 DEBUG Adding task 0x7895eb7211d0
Feb 22 22:21:37-231743 util-mq-23417 DEBUG Received message of type 9 and size 20
Feb 22 22:21:37-231759 arm-10978 INFO Preparing to stop `arm'
Feb 22 22:21:37-231767 util-scheduler-23417 DEBUG canceling task 0x7895eb7211d0
Feb 22 22:21:37-231774 util-scheduler-23417 DEBUG destroying task 0x7895eb7211d0
Feb 22 22:21:37-231782 util-scheduler-23417 DEBUG Adding task 0x7895eb7211d0
Feb 22 22:21:37-231789 arm-10978 DEBUG Sending status 3 of service `arm' to client
Feb 22 22:21:37-231800 util-mq-23417 DEBUG sending message of type 10, queue empty (MQ: 0x7895eb7370c0)
Feb 22 22:21:37-231807 util-service-23417 DEBUG Sending message of type 10 and size 24 to client
Feb 22 22:21:37-231818 util-scheduler-23417 DEBUG Adding task 0x7895eb722c10
Feb 22 22:21:37-231825 util-mst-23417 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 22:21:37-231833 util-scheduler-23417 DEBUG destroying task 0x7895eb721080
Feb 22 22:21:37-231858 util-scheduler-23417 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-231869 util-scheduler-23417 DEBUG Running task 0x7895eb722c10
Feb 22 22:21:37-231877 arm-10978 DEBUG Triggering shutdown
Feb 22 22:21:37-231885 util-scheduler-23417 DEBUG GNUNET_SCHEDULER_shutdown
Feb 22 22:21:37-231892 util-scheduler-23417 DEBUG canceling task 0x7895eb721160
Feb 22 22:21:37-231899 util-scheduler-23417 DEBUG destroying task 0x7895eb721160
Feb 22 22:21:37-231906 util-scheduler-23417 DEBUG destroying task 0x7895eb722c10
Feb 22 22:21:37-231914 util-scheduler-23417 DEBUG Running task 0x7895eb7211d0
Feb 22 22:21:37-231921 util-mst-23417 DEBUG MST receives 0 bytes with 0 bytes already in private buffer
Feb 22 22:21:37-231928 util-mst-23417 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 22:21:37-231935 util-scheduler-23417 DEBUG destroying task 0x7895eb7211d0
Feb 22 22:21:37-231943 util-scheduler-23417 DEBUG Running task 0x7895eb722ba0
Feb 22 22:21:37-231949 util-service-23417 DEBUG service: sending message with type 10Feb 22 22:21:37-231960 util-scheduler-23417 DEBUG Adding task 0x7895eb721160
Feb 22 22:21:37-231962 util-scheduler-1467 DEBUG Running task 0x7ee19891e240
Feb 22 22:21:37-231967 util-scheduler-23417 DEBUG destroying task 0x7895eb722ba0
Feb 22 22:21:37-231972 util-mst-1467 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 22 22:21:37-231975 util-scheduler-23417 DEBUG scheduler has more tasks ready!
Feb 22 22:21:37-231980 util-scheduler-1467 DEBUG destroying task 0x7ee19891e240
Feb 22 22:21:37-231984 util-scheduler-23417 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-231990 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-231994 util-scheduler-23417 DEBUG Running task 0x7895eb721240
Feb 22 22:21:37-231999 util-scheduler-1467 DEBUG Running task 0x7ee19891e1d0
Feb 22 22:21:37-232001 arm-10978 DEBUG First shutdown phase
Feb 22 22:21:37-232007 util-mst-1467 DEBUG MST receives 0 bytes with 24 bytes already in private buffer
Feb 22 22:21:37-232015 util-client-1467 DEBUG Received message of type 10 and size 24 from arm
Feb 22 22:21:37-232022 util-mq-1467 DEBUG Received message of type 10 and size 24
Feb 22 22:21:37-232031 util-mst-1467 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 22 22:21:37-232038 util-scheduler-1467 DEBUG destroying task 0x7ee19891e1d0
Feb 22 22:21:37-232047 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-232080 util-scheduler-23417 DEBUG canceling task 0x7895eb7229e0
Feb 22 22:21:37-232090 util-scheduler-23417 DEBUG destroying task 0x7895eb7229e0
Feb 22 22:21:37-232147 util-scheduler-23417 DEBUG canceling task 0x7895eb7225f0
Feb 22 22:21:37-232156 util-scheduler-23417 DEBUG destroying task 0x7895eb7225f0
Feb 22 22:21:37-232204 util-scheduler-23417 DEBUG canceling task 0x7895eb722430
Feb 22 22:21:37-232213 util-scheduler-23417 DEBUG destroying task 0x7895eb722430
Feb 22 22:21:37-232367 arm-10978 INFO Stopping service `resolver'
Feb 22 22:21:37-232379 util-os-priority-23417 DEBUG Sending signal 15 to pid: 17295 via system call
Feb 22 22:21:37-232396 arm-10978 DEBUG resolver
Feb 22 22:21:37-232407 util-scheduler-17295 DEBUG select timeout = end of time
Feb 22 22:21:37-232413 arm-10978 DEBUG Delaying shutdown, have 1 childs still running
Feb 22 22:21:37-232421 util-scheduler-23417 DEBUG destroying task 0x7895eb721240
Feb 22 22:21:37-232421 util-scheduler-17295 DEBUG Running task 0x74796151e0f0
Feb 22 22:21:37-232429 util-scheduler-23417 DEBUG scheduler has more tasks ready!
Feb 22 22:21:37-232433 util-scheduler-17295 DEBUG GNUNET_SCHEDULER_shutdown
Feb 22 22:21:37-232438 util-scheduler-23417 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-232443 util-scheduler-17295 DEBUG destroying task 0x74796151e0f0
Feb 22 22:21:37-232448 util-scheduler-23417 DEBUG Running task 0x7895eb721160
Feb 22 22:21:37-232452 util-scheduler-17295 DEBUG scheduler has more tasks ready!
Feb 22 22:21:37-232456 util-scheduler-23417 DEBUG destroying task 0x7895eb721160
Feb 22 22:21:37-232461 util-scheduler-17295 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-232465 util-scheduler-23417 DEBUG select timeout = end of time
Feb 22 22:21:37-232471 util-scheduler-17295 DEBUG Running task 0x74796151e080
Feb 22 22:21:37-232479 util-scheduler-17295 DEBUG canceling task 0x74796151e390
Feb 22 22:21:37-232487 util-scheduler-17295 DEBUG destroying task 0x74796151e390
Feb 22 22:21:37-232494 util-scheduler-17295 DEBUG canceling task 0x74796151e240
Feb 22 22:21:37-232501 util-scheduler-17295 DEBUG destroying task 0x74796151e240
Feb 22 22:21:37-232508 util-scheduler-17295 DEBUG canceling task 0x74796151e2b0
Feb 22 22:21:37-232515 util-scheduler-17295 DEBUG destroying task 0x74796151e2b0
Feb 22 22:21:37-232523 resolver-17295 DEBUG Client dropped: 0x747961530080 (MQ: 0x747961537150)
Feb 22 22:21:37-232531 util-scheduler-17295 DEBUG canceling task 0x74796151e470
Feb 22 22:21:37-232538 util-scheduler-17295 DEBUG destroying task 0x74796151e470
Feb 22 22:21:37-232546 util-scheduler-17295 DEBUG Adding task 0x74796151e0f0
Feb 22 22:21:37-232553 util-scheduler-17295 DEBUG destroying task 0x74796151e080
Feb 22 22:21:37-232560 util-scheduler-17295 DEBUG Running task 0x74796151e320
Feb 22 22:21:37-232575 util-scheduler-17295 DEBUG canceling task 0x74796151e400
Feb 22 22:21:37-232582 util-scheduler-17295 DEBUG destroying task 0x74796151e400
Feb 22 22:21:37-232591 util-scheduler-17295 DEBUG destroying task 0x74796151e320
Feb 22 22:21:37-232598 util-scheduler-17295 DEBUG GNUNET_SCHEDULER_shutdown
Feb 22 22:21:37-232605 util-scheduler-17295 DEBUG canceling task 0x74796151e160
Feb 22 22:21:37-232612 util-scheduler-17295 DEBUG destroying task 0x74796151e160
Feb 22 22:21:37-232621 util-scheduler-17295 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-232630 util-scheduler-17295 DEBUG Running task 0x74796151e0f0
Feb 22 22:21:37-232643 util-scheduler-17295 DEBUG destroying task 0x74796151e0f0
Feb 22 22:21:37-232648 util-scheduler-1467 DEBUG Running task 0x7ee19891e160
Feb 22 22:21:37-232655 util-scheduler-17295 DEBUG GNUNET_SCHEDULER_shutdown
Feb 22 22:21:37-232664 util-resolver-api-1467 DEBUG Disconnecting from DNS service
Feb 22 22:21:37-232679 util-scheduler-1467 DEBUG canceling task 0x7ee19891e2b0
Feb 22 22:21:37-232691 util-scheduler-1467 DEBUG destroying task 0x7ee19891e2b0
Feb 22 22:21:37-232702 util-client-1467 DEBUG destroying socket: 0x7ee1989476a0
Feb 22 22:21:37-232717 util-scheduler-1467 DEBUG destroying task 0x7ee19891e160
Feb 22 22:21:37-232730 util-scheduler-1467 DEBUG select timeout = end of time
Feb 22 22:21:37-233070 util-scheduler-23417 DEBUG select timeout = end of time
Feb 22 22:21:37-233080 util-scheduler-23417 DEBUG Running task 0x7895eb7212b0
Feb 22 22:21:37-233106 arm-10978 INFO Service `resolver' took 726 µs to terminate
Feb 22 22:21:37-233115 arm-10978 DEBUG Sending status 1 of service `resolver' to client
Feb 22 22:21:37-233124 arm-10978 DEBUG Last shutdown phase
Feb 22 22:21:37-233133 util-scheduler-23417 DEBUG canceling task 0x7895eb722cf0
Feb 22 22:21:37-233141 util-scheduler-23417 DEBUG destroying task 0x7895eb722cf0
Feb 22 22:21:37-233149 arm-10978 DEBUG Client dropped: 0x7895eb733080 (MQ: 0x7895eb7370c0)
Feb 22 22:21:37-233166 util-scheduler-23417 DEBUG canceling task 0x7895eb721080
Feb 22 22:21:37-233174 util-scheduler-23417 DEBUG destroying task 0x7895eb721080
Feb 22 22:21:37-233182 util-scheduler-23417 DEBUG Adding task 0x7895eb721080
Feb 22 22:21:37-233190 util-scheduler-23417 DEBUG canceling task 0x7895eb721160
Feb 22 22:21:37-233197 util-scheduler-23417 DEBUG destroying task 0x7895eb721160
Feb 22 22:21:37-233204 util-scheduler-23417 DEBUG destroying task 0x7895eb7212b0
Feb 22 22:21:37-233214 util-scheduler-23417 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-233223 util-scheduler-23417 DEBUG Running task 0x7895eb721080
Feb 22 22:21:37-233237 util-scheduler-23417 DEBUG destroying task 0x7895eb721080
Feb 22 22:21:37-233245 util-scheduler-23417 DEBUG GNUNET_SCHEDULER_shutdown
Feb 22 22:21:37-233269 util-23417 DEBUG Failed to retrieve filename
Feb 22 22:21:37-233701 util-scheduler-1467 DEBUG Running task 0x7ee19891e240
Feb 22 22:21:37-233717 util-scheduler-1467 DEBUG Adding task 0x7ee19891e160
Feb 22 22:21:37-233734 util-scheduler-1467 DEBUG Adding task 0x7ee19891e1d0
Feb 22 22:21:37-233746 util-client-1467 DEBUG destroying socket: 0x7ee198947680
Feb 22 22:21:37-233762 util-scheduler-1467 DEBUG destroying task 0x7ee19891e240
Feb 22 22:21:37-233772 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-233782 util-scheduler-1467 DEBUG Running task 0x7ee19891e1d0
Feb 22 22:21:37-233795 util-1467 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 22 22:21:37-233803 util-1467 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 22 22:21:37-233813 util-1467 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 22 22:21:37-233820 util-1467 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 22 22:21:37-233829 util-1467 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 22 22:21:37-233837 util-1467 DEBUG Split into `TMP' and `' with default /tmp
Feb 22 22:21:37-233847 util-1467 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 22 22:21:37-233855 util-1467 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 22 22:21:37-233864 util-1467 DEBUG Asked to $-expand ${USER:-user}
Feb 22 22:21:37-233871 util-1467 DEBUG Split into `USER' and `' with default user
Feb 22 22:21:37-233884 util-scheduler-1467 DEBUG Adding task 0x7ee19891e240
Feb 22 22:21:37-233893 arm-api-1467 DEBUG Sending TEST message to ARM
Feb 22 22:21:37-233901 util-mq-1467 DEBUG sending message of type 15, queue empty (MQ: 0x7ee198938150)
Feb 22 22:21:37-233908 util-client-1467 DEBUG message of type 15 waiting for socket
Feb 22 22:21:37-233915 util-scheduler-1467 DEBUG destroying task 0x7ee19891e1d0
Feb 22 22:21:37-233923 util-scheduler-1467 DEBUG Running task 0x7ee19891e160
Feb 22 22:21:37-233931 arm-api-1467 DEBUG Disconnecting from ARM service
Feb 22 22:21:37-233939 util-scheduler-1467 DEBUG canceling task 0x7ee19891e240
Feb 22 22:21:37-233946 util-scheduler-1467 DEBUG destroying task 0x7ee19891e240
Feb 22 22:21:37-233954 util-mq-1467 DEBUG MQ destroy drops current message of type 15
Feb 22 22:21:37-233962 util-scheduler-1467 DEBUG destroying task 0x7ee19891e160
Feb 22 22:21:37-233971 util-scheduler-1467 DEBUG GNUNET_SCHEDULER_shutdown
Feb 22 22:21:37-233978 util-scheduler-1467 DEBUG canceling task 0x7ee19891e0f0
Feb 22 22:21:37-233985 util-scheduler-1467 DEBUG destroying task 0x7ee19891e0f0
Feb 22 22:21:37-233994 util-scheduler-1467 DEBUG scheduler has more tasks ready!
Feb 22 22:21:37-234002 util-scheduler-1467 DEBUG select timeout = Fri Feb 22 22:21:37 2019
Feb 22 22:21:37-234011 util-scheduler-1467 DEBUG Running task 0x7ee19891e080
Feb 22 22:21:37-234020 util-scheduler-1467 DEBUG destroying task 0x7ee19891e080
Feb 22 22:21:37-234027 util-scheduler-1467 DEBUG GNUNET_SCHEDULER_shutdown
Test failed with error code 3
FAIL test_gnunet_service_arm (exit status: 3)

test-suite-2.log (78,114 bytes)   

schanzen

2019-02-23 00:08

manager   ~0013953

Attempted fix in dda10ff31..e73b829fe

nikita

2019-02-23 00:31

developer   ~0013954

For the public record:

Fixing my /etc/hosts to match my /etc/myname "fixed" this test failure by circumventing the error.

Still needs to be fixed.

schanzen

2019-02-23 00:33

manager   ~0013955

We should add a note to the error message. Can you provide a new log of the tested version including my commit?

schanzen

2019-02-23 09:21

manager   ~0013957

Last edited: 2019-02-23 09:22

Without being able to confirm it, from the information ng0 has provided the problem is this:

If "gethostname" resolved to "myhostname", but the DNS query response contains a _different_ name than the one queried, the resolver fails to accept the response and it will never be found in the cache.
I tried fixing this with dda10ff31..e73b829fe.
However, the problem still remains for ng0 unless he adds his hostname to /etc/hosts, which circumvents the DNS resolution.

So, this bug is still open.

schanzen

2019-02-23 13:04

manager   ~0013958

I added this to 0.11 for now. Unless grothoff decides this is not relevant.

nikita

2019-02-24 00:46

developer   ~0013974

With gnunet from HEAD, with /etc/hosts no longer containing my hostname (just 'localhost'
and 'localhost.')
test-suite-3.log (77,813 bytes)   
================================================
   gnunet 0.11.0pre66: src/arm/test-suite.log
================================================

# TOTAL: 4
# PASS:  3
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_gnunet_service_arm
=============================

Feb 23 23:45:33-583682 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 23 23:45:33-583816 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 23 23:45:33-583867 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 23 23:45:33-583900 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 23 23:45:33-583917 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 23 23:45:33-583947 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 23 23:45:33-583964 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 23 23:45:33-583995 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 23 23:45:33-584023 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 23 23:45:33-584053 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 23 23:45:33-584066 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 23 23:45:33-584097 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 23 23:45:33-584118 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 23 23:45:33-584148 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 23 23:45:33-584157 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 23 23:45:33-584188 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 23 23:45:33-584212 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 23 23:45:33-584242 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 23 23:45:33-584262 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 23 23:45:33-584293 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 23 23:45:33-584308 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 23 23:45:33-584339 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 23 23:45:33-584387 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 23 23:45:33-584417 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 23 23:45:33-584443 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 23 23:45:33-584473 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 23 23:45:33-584490 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 23 23:45:33-584524 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 23 23:45:33-584621 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 23 23:45:33-584653 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 23 23:45:33-584663 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 23 23:45:33-584694 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 23 23:45:33-584712 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 23 23:45:33-584743 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 23 23:45:33-584830 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 23 23:45:33-584862 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 23 23:45:33-584917 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 23 23:45:33-584947 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 23 23:45:33-584976 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 23 23:45:33-585007 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 23 23:45:33-585031 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 23 23:45:33-585061 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 23 23:45:33-585084 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 23 23:45:33-585114 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 23 23:45:33-585128 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 23 23:45:33-585158 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 23 23:45:33-585172 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 23 23:45:33-585202 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 23 23:45:33-585227 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 23 23:45:33-585257 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 23 23:45:33-585275 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 23 23:45:33-585306 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 23 23:45:33-585330 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 23 23:45:33-585360 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 23 23:45:33-585394 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 23 23:45:33-585424 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 23 23:45:33-585454 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 23 23:45:33-585484 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 23 23:45:33-585499 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 23 23:45:33-585530 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 23 23:45:33-585545 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 23 23:45:33-585576 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 23 23:45:33-585597 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 23 23:45:33-585627 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 23 23:45:33-585645 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 23 23:45:33-585676 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 23 23:45:33-585695 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 23 23:45:33-585726 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 23 23:45:33-585757 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 23 23:45:33-585799 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 23 23:45:33-585827 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 23 23:45:33-585857 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 23 23:45:33-585879 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 23 23:45:33-585910 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 23 23:45:33-585951 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 23 23:45:33-585982 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 23 23:45:33-586019 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 23 23:45:33-586049 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 23 23:45:33-586066 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 23 23:45:33-586099 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 23 23:45:33-586118 util-12332 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 23 23:45:33-586148 util-12332 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 23 23:45:33-586169 util-12332 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 23 23:45:33-586201 util-12332 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 23 23:45:33-586210 util-12332 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 23 23:45:33-586256 util-12332 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 23 23:45:33-586291 util-12332 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 23 23:45:33-586334 util-12332 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 23 23:45:33-586435 util-scheduler-12332 DEBUG Registering signal handlers
Feb 23 23:45:33-586466 util-scheduler-12332 DEBUG Adding task 0x6fe30d31e080
Feb 23 23:45:33-586482 util-scheduler-12332 DEBUG Adding continuation task 0x6fe30d31e160
Feb 23 23:45:33-586493 util-scheduler-12332 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-586508 util-scheduler-12332 DEBUG Running task 0x6fe30d31e080
Feb 23 23:45:33-586517 util-os-priority-12332 DEBUG Not installing a handler because $GNUNET_OS_CONTROL_PIPE is empty
Feb 23 23:45:33-586528 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e080
Feb 23 23:45:33-586535 util-scheduler-12332 DEBUG Running task 0x6fe30d31e160
Feb 23 23:45:33-586552 util-speedup-12332 DEBUG Speed up disabled
Feb 23 23:45:33-586561 util-scheduler-12332 DEBUG Adding shutdown task 0x6fe30d31e080
Feb 23 23:45:33-586579 util-12332 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 23 23:45:33-586587 util-12332 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 23 23:45:33-586596 util-12332 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 23 23:45:33-586604 util-12332 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 23 23:45:33-586612 util-12332 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 23 23:45:33-586619 util-12332 DEBUG Split into `TMP' and `' with default /tmp
Feb 23 23:45:33-586632 util-12332 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 23 23:45:33-586648 util-12332 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 23 23:45:33-586657 util-12332 DEBUG Asked to $-expand ${USER:-user}
Feb 23 23:45:33-586664 util-12332 DEBUG Split into `USER' and `' with default user
Feb 23 23:45:33-586676 util-scheduler-12332 DEBUG Adding task 0x6fe30d31e1d0
Feb 23 23:45:33-586694 arm-api-12332 DEBUG Sending TEST message to ARM
Feb 23 23:45:33-586704 util-mq-12332 DEBUG sending message of type 15, queue empty (MQ: 0x6fe30d338150)
Feb 23 23:45:33-586712 util-client-12332 DEBUG message of type 15 waiting for socket
Feb 23 23:45:33-586723 arm-api-12332 DEBUG Starting service `arm'
Feb 23 23:45:33-586733 arm-api-12332 DEBUG Starting ARM service
Feb 23 23:45:33-586868 util-scheduler-12332 DEBUG Adding task 0x6fe30d31e240
Feb 23 23:45:33-586891 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e160
Feb 23 23:45:33-586901 util-scheduler-12332 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-586913 util-scheduler-12332 DEBUG Running task 0x6fe30d31e240
Feb 23 23:45:33-586921 arm-api-12332 DEBUG Notifying client that we started the ARM service
Feb 23 23:45:33-586930 test-gnunet-service-arm-12332 DEBUG Trying to resolve our own hostname!
Feb 23 23:45:33-586945 util-resolver-api-12332 DEBUG Resolving our hostname `uptimegirl'
Feb 23 23:45:33-586954 util-resolver-api-12332 DEBUG Trying to resolve hostname `uptimegirl'.
Feb 23 23:45:33-586966 util-scheduler-12332 DEBUG Adding task 0x6fe30d31e2b0
Feb 23 23:45:33-586978 util-resolver-api-12332 DEBUG Will try to connect to DNS service in 1 ms
Feb 23 23:45:33-586985 util-scheduler-12332 DEBUG Adding task 0x6fe30d31e320
Feb 23 23:45:33-586996 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e240
Feb 23 23:45:33-587003 util-scheduler-12332 DEBUG Running task 0x6fe30d31e1d0
Feb 23 23:45:33-587014 util-12332 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 23 23:45:33-587022 util-12332 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 23 23:45:33-587030 util-12332 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 23 23:45:33-587038 util-12332 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 23 23:45:33-587047 util-12332 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 23 23:45:33-587054 util-12332 DEBUG Split into `TMP' and `' with default /tmp
Feb 23 23:45:33-587064 util-12332 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 23 23:45:33-587071 util-12332 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 23 23:45:33-587079 util-12332 DEBUG Asked to $-expand ${USER:-user}
Feb 23 23:45:33-587087 util-12332 DEBUG Split into `USER' and `' with default user
Feb 23 23:45:33-587121 util-client-12332 DEBUG Failed to establish connection to `arm', no further addresses to try, will try again in 2 ms.
Feb 23 23:45:33-587130 util-scheduler-12332 DEBUG Adding task 0x6fe30d31e240
Feb 23 23:45:33-587137 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e1d0
Feb 23 23:45:33-587146 util-scheduler-12332 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-589606 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 23 23:45:33-589732 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 23 23:45:33-589786 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 23 23:45:33-589818 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 23 23:45:33-589835 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 23 23:45:33-589866 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 23 23:45:33-589882 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 23 23:45:33-589912 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 23 23:45:33-589953 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 23 23:45:33-589985 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 23 23:45:33-589999 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 23 23:45:33-590029 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 23 23:45:33-590050 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 23 23:45:33-590080 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 23 23:45:33-590090 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 23 23:45:33-590119 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 23 23:45:33-590143 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 23 23:45:33-590173 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 23 23:45:33-590194 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 23 23:45:33-590224 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 23 23:45:33-590239 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 23 23:45:33-590270 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 23 23:45:33-590318 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 23 23:45:33-590348 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 23 23:45:33-590374 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 23 23:45:33-590404 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 23 23:45:33-590421 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 23 23:45:33-590452 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 23 23:45:33-590550 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 23 23:45:33-590581 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 23 23:45:33-590593 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 23 23:45:33-590623 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 23 23:45:33-590641 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 23 23:45:33-590672 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 23 23:45:33-590741 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 23 23:45:33-590772 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 23 23:45:33-590827 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 23 23:45:33-590857 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 23 23:45:33-590886 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 23 23:45:33-590916 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 23 23:45:33-590940 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 23 23:45:33-590971 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 23 23:45:33-591001 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 23 23:45:33-591033 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 23 23:45:33-591047 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 23 23:45:33-591077 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 23 23:45:33-591091 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 23 23:45:33-591121 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 23 23:45:33-591146 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 23 23:45:33-591176 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 23 23:45:33-591194 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 23 23:45:33-591224 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 23 23:45:33-591248 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 23 23:45:33-591278 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 23 23:45:33-591311 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 23 23:45:33-591342 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 23 23:45:33-591372 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 23 23:45:33-591404 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 23 23:45:33-591419 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 23 23:45:33-591449 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 23 23:45:33-591464 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 23 23:45:33-591494 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 23 23:45:33-591515 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 23 23:45:33-591545 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 23 23:45:33-591563 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 23 23:45:33-591593 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 23 23:45:33-591613 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 23 23:45:33-591643 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 23 23:45:33-591678 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 23 23:45:33-591708 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 23 23:45:33-591736 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 23 23:45:33-591766 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 23 23:45:33-591788 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 23 23:45:33-591819 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 23 23:45:33-591862 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 23 23:45:33-591893 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 23 23:45:33-591940 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 23 23:45:33-591972 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 23 23:45:33-591989 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 23 23:45:33-592023 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 23 23:45:33-592041 util-5556 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 23 23:45:33-592071 util-5556 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 23 23:45:33-592092 util-5556 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 23 23:45:33-592125 util-5556 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 23 23:45:33-592134 util-5556 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 23 23:45:33-592181 util-5556 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 23 23:45:33-592216 util-5556 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 23 23:45:33-592259 util-5556 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 23 23:45:33-592363 util-5556 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 23 23:45:33-592375 util-5556 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 23 23:45:33-592384 util-5556 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 23 23:45:33-592393 util-5556 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 23 23:45:33-592401 util-5556 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 23 23:45:33-592409 util-5556 DEBUG Split into `TMP' and `' with default /tmp
Feb 23 23:45:33-592430 util-5556 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 23 23:45:33-592438 util-5556 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 23 23:45:33-592447 util-5556 DEBUG Asked to $-expand ${USER:-user}
Feb 23 23:45:33-592455 util-5556 DEBUG Split into `USER' and `' with default user
Feb 23 23:45:33-593208 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-593288 util-service-3003 DEBUG Service `arm' runs with configuration from `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 23 23:45:33-593350 util-scheduler-3003 DEBUG Registering signal handlers
Feb 23 23:45:33-593383 util-scheduler-3003 DEBUG Adding task 0x71ce06321080
Feb 23 23:45:33-593407 util-scheduler-3003 DEBUG Adding continuation task 0x71ce063211d0
Feb 23 23:45:33-593418 util-scheduler-3003 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-593451 util-scheduler-3003 DEBUG Running task 0x71ce06321080
Feb 23 23:45:33-593461 util-os-priority-3003 DEBUG Not installing a handler because $GNUNET_OS_CONTROL_PIPE is empty
Feb 23 23:45:33-593502 util-scheduler-3003 DEBUG destroying task 0x71ce06321080
Feb 23 23:45:33-593511 util-scheduler-3003 DEBUG Running task 0x71ce063211d0
Feb 23 23:45:33-593776 util-scheduler-3003 DEBUG Adding shutdown task 0x71ce06321240
Feb 23 23:45:33-593790 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-593811 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-593837 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-593854 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-593870 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-593886 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-593902 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-593918 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-593945 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-593961 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-593977 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-593993 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594010 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594026 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594043 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594059 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594075 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594092 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594108 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594125 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594145 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594162 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594180 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594198 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594215 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594232 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594249 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594266 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594282 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594300 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594317 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594337 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594353 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594371 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594388 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594406 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594429 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594448 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-594487 util-3003 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-nat-auto.sock
Feb 23 23:45:33-594496 util-3003 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-nat-auto.sock' with default (null)
Feb 23 23:45:33-594505 util-3003 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 23 23:45:33-594513 util-3003 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 23 23:45:33-594522 util-3003 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 23 23:45:33-594530 util-3003 DEBUG Split into `TMP' and `' with default /tmp
Feb 23 23:45:33-594965 arm-5556 INFO ARM now monitors connections to service `nat-auto' at `/tmp/gnunet-system-runtime//gnunet-service-nat-auto.sock'
Feb 23 23:45:33-594981 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-595011 util-3003 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-nat.sock
Feb 23 23:45:33-595020 util-3003 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-nat.sock' with default (null)
Feb 23 23:45:33-595028 util-3003 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 23 23:45:33-595037 util-3003 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 23 23:45:33-595045 util-3003 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 23 23:45:33-595053 util-3003 DEBUG Split into `TMP' and `' with default /tmp
Feb 23 23:45:33-595214 arm-5556 INFO ARM now monitors connections to service `nat' at `/tmp/gnunet-system-runtime//gnunet-service-nat.sock'
Feb 23 23:45:33-595228 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-595249 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-595267 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-595288 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-595308 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-595327 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-595354 util-3003 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-statistics.sock
Feb 23 23:45:33-595391 util-3003 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-statistics.sock' with default (null)
Feb 23 23:45:33-595400 util-3003 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 23 23:45:33-595407 util-3003 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 23 23:45:33-595415 util-3003 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 23 23:45:33-595423 util-3003 DEBUG Split into `TMP' and `' with default /tmp
Feb 23 23:45:33-595586 arm-5556 INFO ARM now monitors connections to service `statistics' at `/tmp/gnunet-system-runtime//gnunet-service-statistics.sock'
Feb 23 23:45:33-595599 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-595653 util-3003 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-resolver.sock
Feb 23 23:45:33-595661 util-3003 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-resolver.sock' with default (null)
Feb 23 23:45:33-595669 util-3003 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 23 23:45:33-595677 util-3003 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 23 23:45:33-595685 util-3003 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 23 23:45:33-595692 util-3003 DEBUG Split into `TMP' and `' with default /tmp
Feb 23 23:45:33-595853 arm-5556 INFO ARM now monitors connections to service `resolver' at `/tmp/gnunet-system-runtime//gnunet-service-resolver.sock'
Feb 23 23:45:33-595887 arm-5556 INFO ARM now monitors connections to service `resolver' at `[::]:23355'
Feb 23 23:45:33-595907 arm-5556 INFO ARM now monitors connections to service `resolver' at `0.0.0.0:23355'
Feb 23 23:45:33-595920 util-scheduler-3003 DEBUG destroying task 0x71ce063211d0
Feb 23 23:45:33-595929 util-scheduler-3003 DEBUG select timeout = end of time
Feb 23 23:45:33-600613 util-scheduler-12332 DEBUG Running task 0x6fe30d31e240
Feb 23 23:45:33-600630 util-12332 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 23 23:45:33-600638 util-12332 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 23 23:45:33-600647 util-12332 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 23 23:45:33-600655 util-12332 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 23 23:45:33-600663 util-12332 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 23 23:45:33-600670 util-12332 DEBUG Split into `TMP' and `' with default /tmp
Feb 23 23:45:33-600680 util-12332 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 23 23:45:33-600687 util-12332 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 23 23:45:33-600695 util-12332 DEBUG Asked to $-expand ${USER:-user}
Feb 23 23:45:33-600703 util-12332 DEBUG Split into `USER' and `' with default user
Feb 23 23:45:33-600735 util-scheduler-3003 DEBUG Running task 0x71ce06321080
Feb 23 23:45:33-600751 util-network-3003 DEBUG Accepting connection on `/tmp/gnunet-ng0-runtime//gnunet-service-arm.sock'
Feb 23 23:45:33-600764 util-service-3003 DEBUG Service accepted incoming connection from @.
Feb 23 23:45:33-600791 util-network-3003 DEBUG Accepting connection on `/tmp/gnunet-ng0-runtime//gnunet-service-arm.sock'
Feb 23 23:45:33-600801 util-scheduler-3003 DEBUG destroying task 0x71ce06321080
Feb 23 23:45:33-600811 util-scheduler-3003 DEBUG select timeout = end of time
Feb 23 23:45:33-600826 util-client-12332 DEBUG Successfully connected to unixpath `/tmp/gnunet-ng0-runtime//gnunet-service-arm.sock'!
Feb 23 23:45:33-600841 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e240
Feb 23 23:45:33-600850 util-scheduler-12332 DEBUG Running task 0x6fe30d31e320
Feb 23 23:45:33-600858 util-resolver-api-12332 DEBUG Trying to connect to DNS service
Feb 23 23:45:33-600868 util-12332 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-resolver.sock
Feb 23 23:45:33-600875 util-12332 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-resolver.sock' with default (null)
Feb 23 23:45:33-600893 util-12332 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 23 23:45:33-600901 util-12332 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 23 23:45:33-600910 util-12332 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 23 23:45:33-600917 util-12332 DEBUG Split into `TMP' and `' with default /tmp
Feb 23 23:45:33-600946 util-scheduler-12332 DEBUG Adding task 0x6fe30d31e240
Feb 23 23:45:33-600959 util-resolver-api-12332 DEBUG Transmitting DNS resolution request (ID 1) to DNS service
Feb 23 23:45:33-600967 util-mq-12332 DEBUG sending message of type 4, queue empty (MQ: 0x6fe30d338270)
Feb 23 23:45:33-600974 util-client-12332 DEBUG message of type 4 waiting for socket
Feb 23 23:45:33-600981 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e320
Feb 23 23:45:33-600991 util-scheduler-12332 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-601002 util-scheduler-12332 DEBUG Running task 0x6fe30d31e240
Feb 23 23:45:33-601011 util-12332 DEBUG Asked to $-expand $GNUNET_RUNTIME_DIR/gnunet-service-resolver.sock
Feb 23 23:45:33-601018 util-12332 DEBUG Split into `GNUNET_RUNTIME_DIR' and `gnunet-service-resolver.sock' with default (null)
Feb 23 23:45:33-601026 util-12332 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-system-runtime/
Feb 23 23:45:33-601033 util-12332 DEBUG Split into `TMPDIR' and `/gnunet-system-runtime/' with default ${TMP:-/tmp}
Feb 23 23:45:33-601041 util-12332 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 23 23:45:33-601049 util-12332 DEBUG Split into `TMP' and `' with default /tmp
Feb 23 23:45:33-601078 util-scheduler-3003 DEBUG Running task 0x71ce06322ba0
Feb 23 23:45:33-601092 util-scheduler-3003 DEBUG canceling task 0x71ce06322c80
Feb 23 23:45:33-601101 util-scheduler-3003 DEBUG destroying task 0x71ce06322c80
Feb 23 23:45:33-601109 util-scheduler-3003 DEBUG canceling task 0x71ce06322c10
Feb 23 23:45:33-601117 util-scheduler-3003 DEBUG destroying task 0x71ce06322c10
Feb 23 23:45:33-601131 arm-5556 DEBUG Starting service `resolver' using binary `gnunet-service-resolver' and configuration `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 23 23:45:33-601259 arm-5556 INFO Starting service `resolver'
Feb 23 23:45:33-601276 arm-5556 DEBUG Sending status 2 of service `resolver' to client
Feb 23 23:45:33-601302 util-scheduler-3003 DEBUG destroying task 0x71ce06322ba0
Feb 23 23:45:33-601314 util-scheduler-3003 DEBUG select timeout = end of time
Feb 23 23:45:33-601329 util-client-12332 DEBUG Successfully connected to unixpath `/tmp/gnunet-system-runtime//gnunet-service-resolver.sock'!
Feb 23 23:45:33-601341 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e240
Feb 23 23:45:33-601350 util-scheduler-12332 DEBUG Running task 0x6fe30d31e390
Feb 23 23:45:33-601358 util-client-12332 DEBUG message of type 15 trying to send with socket 0x6fe30d347680 (MQ: 0x6fe30d338150
Feb 23 23:45:33-601378 util-scheduler-3003 DEBUG Running task 0x71ce063211d0
Feb 23 23:45:33-601412 util-mst-3003 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 23 23:45:33-601422 util-service-3003 DEBUG Received message of type 15 and size 4 from client
Feb 23 23:45:33-601432 util-scheduler-3003 DEBUG Adding task 0x71ce06321080
Feb 23 23:45:33-601441 util-mq-3003 DEBUG Received message of type 15 and size 4
Feb 23 23:45:33-601455 util-mq-3003 DEBUG sending message of type 15, queue empty (MQ: 0x71ce063370c0)
Feb 23 23:45:33-601463 util-service-3003 DEBUG Sending message of type 15 and size 4 to client
Feb 23 23:45:33-601473 util-scheduler-3003 DEBUG canceling task 0x71ce06321080
Feb 23 23:45:33-601481 util-scheduler-3003 DEBUG destroying task 0x71ce06321080
Feb 23 23:45:33-601489 util-scheduler-3003 DEBUG Adding task 0x71ce06321080
Feb 23 23:45:33-601497 util-mst-3003 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 23 23:45:33-601504 util-scheduler-3003 DEBUG destroying task 0x71ce063211d0
Feb 23 23:45:33-601514 util-scheduler-3003 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-601524 util-scheduler-3003 DEBUG Running task 0x71ce06321080
Feb 23 23:45:33-601542 util-mst-3003 DEBUG MST receives 0 bytes with 0 bytes already in private buffer
Feb 23 23:45:33-601550 util-mst-3003 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 23 23:45:33-601558 util-scheduler-3003 DEBUG destroying task 0x71ce06321080
Feb 23 23:45:33-601565 util-scheduler-3003 DEBUG Running task 0x71ce06322ba0
Feb 23 23:45:33-601573 util-service-3003 DEBUG service: sending message with type 15Feb 23 23:45:33-601589 util-scheduler-3003 DEBUG Adding task 0x71ce06321080
Feb 23 23:45:33-601597 util-scheduler-3003 DEBUG destroying task 0x71ce06322ba0
Feb 23 23:45:33-601606 util-scheduler-3003 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-601616 util-scheduler-3003 DEBUG Running task 0x71ce06321080
Feb 23 23:45:33-601623 util-scheduler-3003 DEBUG destroying task 0x71ce06321080
Feb 23 23:45:33-601632 util-scheduler-3003 DEBUG select timeout = end of time
Feb 23 23:45:33-601647 util-client-12332 DEBUG sending message of type 15 successful
Feb 23 23:45:33-601660 util-scheduler-12332 DEBUG Adding task 0x6fe30d31e240
Feb 23 23:45:33-601669 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e390
Feb 23 23:45:33-601679 util-scheduler-12332 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-601690 util-scheduler-12332 DEBUG Running task 0x6fe30d31e240
Feb 23 23:45:33-601697 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e240
Feb 23 23:45:33-601704 util-scheduler-12332 DEBUG Running task 0x6fe30d31e1d0
Feb 23 23:45:33-601717 util-mst-12332 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 23 23:45:33-601725 util-client-12332 DEBUG Received message of type 15 and size 4 from arm
Feb 23 23:45:33-601734 util-mq-12332 DEBUG Received message of type 15 and size 4
Feb 23 23:45:33-601742 arm-api-12332 DEBUG Got confirmation from ARM that we are up!
Feb 23 23:45:33-601750 util-mst-12332 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 23 23:45:33-601758 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e1d0
Feb 23 23:45:33-601765 util-scheduler-12332 DEBUG Running task 0x6fe30d31e470
Feb 23 23:45:33-601773 util-client-12332 DEBUG message of type 4 trying to send with socket 0x6fe30d3476a0 (MQ: 0x6fe30d338270
Feb 23 23:45:33-601781 util-client-12332 DEBUG sending message of type 4 successful
Feb 23 23:45:33-601789 util-scheduler-12332 DEBUG Adding task 0x6fe30d31e1d0
Feb 23 23:45:33-601797 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e470
Feb 23 23:45:33-601806 util-scheduler-12332 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-601816 util-scheduler-12332 DEBUG Running task 0x6fe30d31e1d0
Feb 23 23:45:33-601823 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e1d0
Feb 23 23:45:33-601832 util-scheduler-12332 DEBUG select timeout = Sat Feb 23 23:45:43 2019
Feb 23 23:45:33-603769 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 23 23:45:33-603901 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/util.conf'
Feb 23 23:45:33-603957 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 23 23:45:33-603991 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/resolver.conf'
Feb 23 23:45:33-604009 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 23 23:45:33-604042 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/statistics.conf'
Feb 23 23:45:33-604060 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 23 23:45:33-604092 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/arm.conf'
Feb 23 23:45:33-604122 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 23 23:45:33-604153 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testing.conf'
Feb 23 23:45:33-604167 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 23 23:45:33-604210 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerinfo.conf'
Feb 23 23:45:33-604233 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 23 23:45:33-604265 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datacache.conf'
Feb 23 23:45:33-604276 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 23 23:45:33-604307 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/datastore.conf'
Feb 23 23:45:33-604332 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 23 23:45:33-604363 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/template.conf'
Feb 23 23:45:33-604386 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 23 23:45:33-604418 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/peerstore.conf'
Feb 23 23:45:33-604434 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 23 23:45:33-604466 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/ats.conf'
Feb 23 23:45:33-604515 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 23 23:45:33-604547 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat.conf'
Feb 23 23:45:33-604574 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 23 23:45:33-604605 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nat-auto.conf'
Feb 23 23:45:33-604624 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 23 23:45:33-604656 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/transport.conf'
Feb 23 23:45:33-604755 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 23 23:45:33-604788 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/communicator-unix.conf'
Feb 23 23:45:33-604799 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 23 23:45:33-604830 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/core.conf'
Feb 23 23:45:33-604849 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 23 23:45:33-604882 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed-logger.conf'
Feb 23 23:45:33-604953 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 23 23:45:33-604986 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/testbed.conf'
Feb 23 23:45:33-605042 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 23 23:45:33-605074 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/nse.conf'
Feb 23 23:45:33-605104 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 23 23:45:33-605136 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dht.conf'
Feb 23 23:45:33-605161 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 23 23:45:33-605193 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/hostlist.conf'
Feb 23 23:45:33-605216 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 23 23:45:33-605248 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/topology.conf'
Feb 23 23:45:33-605263 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 23 23:45:33-605304 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/regex.conf'
Feb 23 23:45:33-605320 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 23 23:45:33-605352 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/dns.conf'
Feb 23 23:45:33-605378 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 23 23:45:33-605410 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/identity.conf'
Feb 23 23:45:33-605429 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 23 23:45:33-605460 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namecache.conf'
Feb 23 23:45:33-605486 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 23 23:45:33-605517 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/namestore.conf'
Feb 23 23:45:33-605551 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 23 23:45:33-605583 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/cadet.conf'
Feb 23 23:45:33-605614 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 23 23:45:33-605646 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/set.conf'
Feb 23 23:45:33-605662 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 23 23:45:33-605694 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/consensus.conf'
Feb 23 23:45:33-605710 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 23 23:45:33-605741 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/scalarproduct.conf'
Feb 23 23:45:33-605763 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 23 23:45:33-605795 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/revocation.conf'
Feb 23 23:45:33-605814 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 23 23:45:33-605846 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/vpn.conf'
Feb 23 23:45:33-605866 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 23 23:45:33-605898 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/gns.conf'
Feb 23 23:45:33-605934 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 23 23:45:33-605966 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/zonemaster.conf'
Feb 23 23:45:33-605995 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 23 23:45:33-606026 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/conversation.conf'
Feb 23 23:45:33-606049 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 23 23:45:33-606081 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/fs.conf'
Feb 23 23:45:33-606126 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 23 23:45:33-606158 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/exit.conf'
Feb 23 23:45:33-606196 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 23 23:45:33-606228 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/pt.conf'
Feb 23 23:45:33-606247 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 23 23:45:33-606283 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/secretsharing.conf'
Feb 23 23:45:33-606309 util-6752 DEBUG Asked to parse config file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 23 23:45:33-606342 util-6752 DEBUG Deserializing contents of file `/home/ng0/opt/share/gnunet/config.d/rest.conf'
Feb 23 23:45:33-606365 util-6752 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 23 23:45:33-606399 util-6752 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 23 23:45:33-606410 util-6752 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 23 23:45:33-606459 util-6752 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_forcestart.conf'
Feb 23 23:45:33-606495 util-6752 DEBUG Asked to parse config file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 23 23:45:33-606540 util-6752 DEBUG Deserializing contents of file `/home/ng0/src/gnunet/gnunet/src/arm/../../contrib/conf/gnunet/no_autostart_above_core.conf'
Feb 23 23:45:33-606668 util-6752 DEBUG Failed to retrieve filename
Feb 23 23:45:33-606678 util-service-6752 DEBUG Service `resolver' runs with configuration from `/home/ng0/src/gnunet/gnunet/src/arm/test_arm_api_data.conf'
Feb 23 23:45:33-606709 util-scheduler-6752 DEBUG Registering signal handlers
Feb 23 23:45:33-606741 util-scheduler-6752 DEBUG Adding task 0x6faef191e080
Feb 23 23:45:33-606756 util-scheduler-6752 DEBUG Adding continuation task 0x6faef191e160
Feb 23 23:45:33-606767 util-scheduler-6752 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-606782 util-scheduler-6752 DEBUG Running task 0x6faef191e080
Feb 23 23:45:33-606792 util-os-priority-6752 DEBUG Not installing a handler because $GNUNET_OS_CONTROL_PIPE is empty
Feb 23 23:45:33-606805 util-scheduler-6752 DEBUG destroying task 0x6faef191e080
Feb 23 23:45:33-606814 util-scheduler-6752 DEBUG Running task 0x6faef191e160
Feb 23 23:45:33-606823 util-scheduler-6752 DEBUG Adding shutdown task 0x6faef191e080
Feb 23 23:45:33-606875 util-scheduler-6752 DEBUG Adding shutdown task 0x6faef191e320
Feb 23 23:45:33-606915 resolver-6752 DEBUG Adding DNS server '192.168.1.1': success
Feb 23 23:45:33-606925 resolver-6752 DEBUG Adding DNS server 'fda9:652b:4324::1': success
Feb 23 23:45:33-606933 util-scheduler-6752 DEBUG destroying task 0x6faef191e160
Feb 23 23:45:33-606943 util-scheduler-6752 DEBUG select timeout = end of time
Feb 23 23:45:33-606955 util-scheduler-6752 DEBUG Running task 0x6faef191e1d0
Feb 23 23:45:33-606968 util-network-6752 DEBUG Accepting connection on `/tmp/gnunet-system-runtime//gnunet-service-resolver.sock'
Feb 23 23:45:33-606987 util-service-6752 DEBUG Service accepted incoming connection from �.
Feb 23 23:45:33-607002 util-network-6752 DEBUG Accepting connection on `/tmp/gnunet-system-runtime//gnunet-service-resolver.sock'
Feb 23 23:45:33-607012 util-scheduler-6752 DEBUG destroying task 0x6faef191e1d0
Feb 23 23:45:33-607022 util-scheduler-6752 DEBUG select timeout = end of time
Feb 23 23:45:33-607033 util-scheduler-6752 DEBUG Running task 0x6faef191e160
Feb 23 23:45:33-607047 util-mst-6752 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 23 23:45:33-607057 util-scheduler-6752 DEBUG destroying task 0x6faef191e160
Feb 23 23:45:33-607067 util-scheduler-6752 DEBUG select timeout = end of time
Feb 23 23:45:33-607076 util-scheduler-6752 DEBUG Running task 0x6faef191e1d0
Feb 23 23:45:33-607086 util-mst-6752 DEBUG MST receives 0 bytes with 27 bytes already in private buffer
Feb 23 23:45:33-607094 util-service-6752 DEBUG Received message of type 4 and size 27 from client
Feb 23 23:45:33-607104 util-scheduler-6752 DEBUG Adding task 0x6faef191e160
Feb 23 23:45:33-607114 util-mq-6752 DEBUG Received message of type 4 and size 27
Feb 23 23:45:33-607125 util-scheduler-6752 DEBUG canceling task 0x6faef191e160
Feb 23 23:45:33-607133 util-scheduler-6752 DEBUG destroying task 0x6faef191e160
Feb 23 23:45:33-607152 util-scheduler-6752 DEBUG Adding task 0x6faef191e160
Feb 23 23:45:33-607164 resolver-6752 DEBUG No cache entry for 'uptimegirl'
Feb 23 23:45:33-607172 resolver-6752 DEBUG resolve_and_cache `uptimegirl'
Feb 23 23:45:33-607271 util-scheduler-6752 DEBUG Adding task 0x6faef191e400
Feb 23 23:45:33-607284 util-scheduler-6752 DEBUG Adding task 0x6faef191e470
Feb 23 23:45:33-607293 resolver-6752 DEBUG Resolving uptimegirl, client_request_id = 1, dns_id = 56770
Feb 23 23:45:33-607302 util-mst-6752 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 23 23:45:33-607310 util-scheduler-6752 DEBUG destroying task 0x6faef191e1d0
Feb 23 23:45:33-607321 util-scheduler-6752 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-607332 util-scheduler-6752 DEBUG Running task 0x6faef191e470
Feb 23 23:45:33-607341 util-scheduler-6752 DEBUG Adding task 0x6faef191e1d0
Feb 23 23:45:33-607394 resolver-6752 DEBUG Sent DNS request to [fda9:652b:4324::1]:53
Feb 23 23:45:33-607409 util-scheduler-6752 DEBUG Adding task 0x6faef191e4e0
Feb 23 23:45:33-607418 util-scheduler-6752 DEBUG destroying task 0x6faef191e470
Feb 23 23:45:33-607426 util-scheduler-6752 DEBUG Running task 0x6faef191e160
Feb 23 23:45:33-607434 util-mst-6752 DEBUG MST receives 0 bytes with 0 bytes already in private buffer
Feb 23 23:45:33-607442 util-mst-6752 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 23 23:45:33-607451 util-scheduler-6752 DEBUG destroying task 0x6faef191e160
Feb 23 23:45:33-607461 util-scheduler-6752 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-615854 util-scheduler-6752 DEBUG Running task 0x6faef191e4e0
Feb 23 23:45:33-615866 resolver-6752 DEBUG Receiving 72 byte DNS reply
Feb 23 23:45:33-615897 resolver-6752 DEBUG Got reply for hostname uptimegirl and request ID 1
Feb 23 23:45:33-615916 util-scheduler-6752 DEBUG canceling task 0x6faef191e1d0
Feb 23 23:45:33-615925 util-scheduler-6752 DEBUG destroying task 0x6faef191e1d0
Feb 23 23:45:33-615935 util-scheduler-6752 DEBUG Adding task 0x6faef191e160
Feb 23 23:45:33-615947 util-scheduler-6752 DEBUG Adding task 0x6faef191e1d0
Feb 23 23:45:33-615956 util-scheduler-6752 DEBUG destroying task 0x6faef191e4e0
Feb 23 23:45:33-615967 util-scheduler-6752 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-615978 util-scheduler-6752 DEBUG Running task 0x6faef191e160
Feb 23 23:45:33-615987 util-scheduler-6752 DEBUG Adding task 0x6faef191e4e0
Feb 23 23:45:33-616016 resolver-6752 DEBUG Sent DNS request to [fda9:652b:4324::1]:53
Feb 23 23:45:33-616027 util-scheduler-6752 DEBUG Adding task 0x6faef191e550
Feb 23 23:45:33-616035 util-scheduler-6752 DEBUG destroying task 0x6faef191e160
Feb 23 23:45:33-616045 util-scheduler-6752 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-618009 util-scheduler-6752 DEBUG Running task 0x6faef191e550
Feb 23 23:45:33-618018 resolver-6752 DEBUG Receiving 112 byte DNS reply
Feb 23 23:45:33-618039 resolver-6752 DEBUG Got reply for hostname uptimegirl and request ID 1
Feb 23 23:45:33-618053 resolver-6752 DEBUG No cache entry for 'uptimegirl'
Feb 23 23:45:33-618061 resolver-6752 DEBUG Sending END message
Feb 23 23:45:33-618071 util-mq-6752 DEBUG sending message of type 5, queue empty (MQ: 0x6faef19371e0)
Feb 23 23:45:33-618080 util-service-6752 DEBUG Sending message of type 5 and size 8 to client
Feb 23 23:45:33-618089 util-scheduler-6752 DEBUG canceling task 0x6faef191e4e0
Feb 23 23:45:33-618097 util-scheduler-6752 DEBUG destroying task 0x6faef191e4e0
Feb 23 23:45:33-618106 util-scheduler-6752 DEBUG canceling task 0x6faef191e400
Feb 23 23:45:33-618114 util-scheduler-6752 DEBUG destroying task 0x6faef191e400
Feb 23 23:45:33-618124 util-scheduler-6752 DEBUG Adding task 0x6faef191e400
Feb 23 23:45:33-618132 util-scheduler-6752 DEBUG destroying task 0x6faef191e550
Feb 23 23:45:33-618142 util-scheduler-6752 DEBUG select timeout = end of time
Feb 23 23:45:33-618153 util-scheduler-6752 DEBUG Running task 0x6faef191e160
Feb 23 23:45:33-618161 util-service-6752 DEBUG service: sending message with type 5Feb 23 23:45:33-618187 util-scheduler-6752 DEBUG Adding task 0x6faef191e4e0
Feb 23 23:45:33-618189 util-scheduler-12332 DEBUG Running task 0x6fe30d31e320
Feb 23 23:45:33-618196 util-scheduler-6752 DEBUG destroying task 0x6faef191e160
Feb 23 23:45:33-618203 util-mst-12332 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 23 23:45:33-618207 util-scheduler-6752 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-618213 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e320
Feb 23 23:45:33-618218 util-scheduler-6752 DEBUG Running task 0x6faef191e4e0
Feb 23 23:45:33-618223 util-scheduler-12332 DEBUG select timeout = Sat Feb 23 23:45:43 2019
Feb 23 23:45:33-618227 util-scheduler-6752 DEBUG destroying task 0x6faef191e4e0
Feb 23 23:45:33-618233 util-scheduler-12332 DEBUG Running task 0x6fe30d31e1d0
Feb 23 23:45:33-618237 util-scheduler-6752 DEBUG select timeout = end of time
Feb 23 23:45:33-618242 util-mst-12332 DEBUG MST receives 0 bytes with 8 bytes already in private buffer
Feb 23 23:45:33-618251 util-client-12332 DEBUG Received message of type 5 and size 8 from resolver
Feb 23 23:45:33-618259 util-mq-12332 DEBUG Received message of type 5 and size 8
Feb 23 23:45:33-618267 util-resolver-api-12332 DEBUG Received empty response from DNS service
Feb 23 23:45:33-618276 test-gnunet-service-arm-12332 ERROR Failed to resolve our own hostname!
Feb 23 23:45:33-618286 test-gnunet-service-arm-12332 ERROR Assertion failed at test_gnunet_service_arm.c:118.
Feb 23 23:45:33-618295 arm-api-12332 DEBUG Stopping service `arm'
Feb 23 23:45:33-618306 util-mq-12332 DEBUG sending message of type 9, queue empty (MQ: 0x6fe30d338150)
Feb 23 23:45:33-618316 util-resolver-api-12332 DEBUG Asked to cancel request to resolve hostname `uptimegirl'.
Feb 23 23:45:33-618326 util-scheduler-12332 DEBUG canceling task 0x6fe30d31e2b0
Feb 23 23:45:33-618333 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e2b0
Feb 23 23:45:33-618342 util-scheduler-12332 DEBUG Adding task 0x6fe30d31e160
Feb 23 23:45:33-618350 util-mst-12332 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 23 23:45:33-618358 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e1d0
Feb 23 23:45:33-618368 util-scheduler-12332 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-618378 util-scheduler-12332 DEBUG Running task 0x6fe30d31e320
Feb 23 23:45:33-618386 util-client-12332 DEBUG message of type 9 trying to send with socket 0x6fe30d347680 (MQ: 0x6fe30d338150
Feb 23 23:45:33-618405 util-scheduler-3003 DEBUG Running task 0x71ce063211d0
Feb 23 23:45:33-618419 util-mst-3003 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 23 23:45:33-618434 util-scheduler-3003 DEBUG destroying task 0x71ce063211d0
Feb 23 23:45:33-618445 util-scheduler-3003 DEBUG select timeout = end of time
Feb 23 23:45:33-618455 util-scheduler-3003 DEBUG Running task 0x71ce06321080
Feb 23 23:45:33-618464 util-mst-3003 DEBUG MST receives 0 bytes with 20 bytes already in private buffer
Feb 23 23:45:33-618472 util-service-3003 DEBUG Received message of type 9 and size 20 from client
Feb 23 23:45:33-618481 util-scheduler-3003 DEBUG Adding task 0x71ce063211d0
Feb 23 23:45:33-618489 util-mq-3003 DEBUG Received message of type 9 and size 20
Feb 23 23:45:33-618501 arm-5556 INFO Preparing to stop `arm'
Feb 23 23:45:33-618509 util-scheduler-3003 DEBUG canceling task 0x71ce063211d0
Feb 23 23:45:33-618517 util-scheduler-3003 DEBUG destroying task 0x71ce063211d0
Feb 23 23:45:33-618525 util-scheduler-3003 DEBUG Adding task 0x71ce063211d0
Feb 23 23:45:33-618533 arm-5556 DEBUG Sending status 3 of service `arm' to client
Feb 23 23:45:33-618543 util-mq-3003 DEBUG sending message of type 10, queue empty (MQ: 0x71ce063370c0)
Feb 23 23:45:33-618551 util-service-3003 DEBUG Sending message of type 10 and size 24 to client
Feb 23 23:45:33-618561 util-scheduler-3003 DEBUG Adding task 0x71ce06322c10
Feb 23 23:45:33-618569 util-mst-3003 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 23 23:45:33-618577 util-scheduler-3003 DEBUG destroying task 0x71ce06321080
Feb 23 23:45:33-618647 util-scheduler-3003 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-618658 util-scheduler-3003 DEBUG Running task 0x71ce06322c10
Feb 23 23:45:33-618665 arm-5556 DEBUG Triggering shutdown
Feb 23 23:45:33-618673 util-scheduler-3003 DEBUG GNUNET_SCHEDULER_shutdown
Feb 23 23:45:33-618680 util-scheduler-3003 DEBUG canceling task 0x71ce06321160
Feb 23 23:45:33-618687 util-scheduler-3003 DEBUG destroying task 0x71ce06321160
Feb 23 23:45:33-618694 util-scheduler-3003 DEBUG destroying task 0x71ce06322c10
Feb 23 23:45:33-618701 util-scheduler-3003 DEBUG Running task 0x71ce063211d0
Feb 23 23:45:33-618708 util-mst-3003 DEBUG MST receives 0 bytes with 0 bytes already in private buffer
Feb 23 23:45:33-618715 util-mst-3003 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 23 23:45:33-618723 util-scheduler-3003 DEBUG destroying task 0x71ce063211d0
Feb 23 23:45:33-618730 util-scheduler-3003 DEBUG Running task 0x71ce06322ba0
Feb 23 23:45:33-618737 util-service-3003 DEBUG service: sending message with type 10Feb 23 23:45:33-618764 util-client-12332 DEBUG sending message of type 9 successful
Feb 23 23:45:33-618776 util-scheduler-12332 DEBUG Adding task 0x6fe30d31e1d0
Feb 23 23:45:33-618785 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e320
Feb 23 23:45:33-618795 util-scheduler-12332 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-618805 util-scheduler-12332 DEBUG Running task 0x6fe30d31e1d0
Feb 23 23:45:33-618812 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e1d0
Feb 23 23:45:33-618819 util-scheduler-12332 DEBUG Running task 0x6fe30d31e240
Feb 23 23:45:33-618828 util-mst-12332 DEBUG MST receives 0 bytes with 4 bytes already in private buffer
Feb 23 23:45:33-618836 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e240
Feb 23 23:45:33-618845 util-scheduler-12332 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-618854 util-scheduler-12332 DEBUG Running task 0x6fe30d31e1d0
Feb 23 23:45:33-618862 util-mst-12332 DEBUG MST receives 0 bytes with 24 bytes already in private buffer
Feb 23 23:45:33-618869 util-client-12332 DEBUG Received message of type 10 and size 24 from arm
Feb 23 23:45:33-618876 util-mq-12332 DEBUG Received message of type 10 and size 24
Feb 23 23:45:33-618885 util-mst-12332 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 23 23:45:33-618892 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e1d0
Feb 23 23:45:33-618901 util-scheduler-12332 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-618915 util-scheduler-3003 DEBUG Adding task 0x71ce06321160
Feb 23 23:45:33-618926 util-scheduler-3003 DEBUG destroying task 0x71ce06322ba0
Feb 23 23:45:33-618935 util-scheduler-3003 DEBUG scheduler has more tasks ready!
Feb 23 23:45:33-618945 util-scheduler-3003 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-618955 util-scheduler-3003 DEBUG Running task 0x71ce06321240
Feb 23 23:45:33-618962 arm-5556 DEBUG First shutdown phase
Feb 23 23:45:33-619029 util-scheduler-3003 DEBUG canceling task 0x71ce063229e0
Feb 23 23:45:33-619038 util-scheduler-3003 DEBUG destroying task 0x71ce063229e0
Feb 23 23:45:33-619089 util-scheduler-3003 DEBUG canceling task 0x71ce063225f0
Feb 23 23:45:33-619098 util-scheduler-3003 DEBUG destroying task 0x71ce063225f0
Feb 23 23:45:33-619142 util-scheduler-3003 DEBUG canceling task 0x71ce06322430
Feb 23 23:45:33-619151 util-scheduler-3003 DEBUG destroying task 0x71ce06322430
Feb 23 23:45:33-619300 arm-5556 INFO Stopping service `resolver'
Feb 23 23:45:33-619311 util-os-priority-3003 DEBUG Sending signal 15 to pid: 6752 via system call
Feb 23 23:45:33-619327 arm-5556 DEBUG resolver
Feb 23 23:45:33-619333 arm-5556 DEBUG Delaying shutdown, have 1 childs still running
Feb 23 23:45:33-619334 util-scheduler-6752 DEBUG select timeout = end of time
Feb 23 23:45:33-619341 util-scheduler-3003 DEBUG destroying task 0x71ce06321240
Feb 23 23:45:33-619345 util-scheduler-6752 DEBUG Running task 0x6faef191e0f0
Feb 23 23:45:33-619348 util-scheduler-3003 DEBUG scheduler has more tasks ready!
Feb 23 23:45:33-619355 util-scheduler-6752 DEBUG GNUNET_SCHEDULER_shutdown
Feb 23 23:45:33-619357 util-scheduler-3003 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-619373 util-scheduler-6752 DEBUG destroying task 0x6faef191e0f0
Feb 23 23:45:33-619376 util-scheduler-3003 DEBUG Running task 0x71ce06321160
Feb 23 23:45:33-619382 util-scheduler-6752 DEBUG scheduler has more tasks ready!
Feb 23 23:45:33-619384 util-scheduler-3003 DEBUG destroying task 0x71ce06321160
Feb 23 23:45:33-619391 util-scheduler-6752 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-619393 util-scheduler-3003 DEBUG select timeout = end of time
Feb 23 23:45:33-619402 util-scheduler-6752 DEBUG Running task 0x6faef191e080
Feb 23 23:45:33-619410 util-scheduler-6752 DEBUG canceling task 0x6faef191e390
Feb 23 23:45:33-619418 util-scheduler-6752 DEBUG destroying task 0x6faef191e390
Feb 23 23:45:33-619425 util-scheduler-6752 DEBUG canceling task 0x6faef191e240
Feb 23 23:45:33-619433 util-scheduler-6752 DEBUG destroying task 0x6faef191e240
Feb 23 23:45:33-619440 util-scheduler-6752 DEBUG canceling task 0x6faef191e2b0
Feb 23 23:45:33-619447 util-scheduler-6752 DEBUG destroying task 0x6faef191e2b0
Feb 23 23:45:33-619455 resolver-6752 DEBUG Client dropped: 0x6faef1930080 (MQ: 0x6faef19371e0)
Feb 23 23:45:33-619463 util-scheduler-6752 DEBUG canceling task 0x6faef191e470
Feb 23 23:45:33-619470 util-scheduler-6752 DEBUG destroying task 0x6faef191e470
Feb 23 23:45:33-619479 util-scheduler-6752 DEBUG Adding task 0x6faef191e0f0
Feb 23 23:45:33-619486 util-scheduler-6752 DEBUG destroying task 0x6faef191e080
Feb 23 23:45:33-619493 util-scheduler-6752 DEBUG Running task 0x6faef191e320
Feb 23 23:45:33-619507 util-scheduler-6752 DEBUG canceling task 0x6faef191e1d0
Feb 23 23:45:33-619515 util-scheduler-6752 DEBUG destroying task 0x6faef191e1d0
Feb 23 23:45:33-619524 util-scheduler-6752 DEBUG canceling task 0x6faef191e400
Feb 23 23:45:33-619532 util-scheduler-6752 DEBUG destroying task 0x6faef191e400
Feb 23 23:45:33-619539 util-scheduler-6752 DEBUG destroying task 0x6faef191e320
Feb 23 23:45:33-619547 util-scheduler-6752 DEBUG GNUNET_SCHEDULER_shutdown
Feb 23 23:45:33-619554 util-scheduler-6752 DEBUG canceling task 0x6faef191e160
Feb 23 23:45:33-619561 util-scheduler-6752 DEBUG destroying task 0x6faef191e160
Feb 23 23:45:33-619571 util-scheduler-6752 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-619580 util-scheduler-6752 DEBUG Running task 0x6faef191e0f0
Feb 23 23:45:33-619592 util-scheduler-6752 DEBUG destroying task 0x6faef191e0f0
Feb 23 23:45:33-619600 util-scheduler-6752 DEBUG GNUNET_SCHEDULER_shutdown
Feb 23 23:45:33-619599 util-scheduler-12332 DEBUG Running task 0x6fe30d31e160
Feb 23 23:45:33-619612 util-resolver-api-12332 DEBUG Disconnecting from DNS service
Feb 23 23:45:33-619621 util-scheduler-12332 DEBUG canceling task 0x6fe30d31e2b0
Feb 23 23:45:33-619630 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e2b0
Feb 23 23:45:33-619638 util-client-12332 DEBUG destroying socket: 0x6fe30d3476a0
Feb 23 23:45:33-619648 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e160
Feb 23 23:45:33-619658 util-scheduler-12332 DEBUG select timeout = end of time
Feb 23 23:45:33-619875 util-scheduler-3003 DEBUG select timeout = end of time
Feb 23 23:45:33-619887 util-scheduler-3003 DEBUG Running task 0x71ce063212b0
Feb 23 23:45:33-619910 arm-5556 INFO Service `resolver' took 598 µs to terminate
Feb 23 23:45:33-619919 arm-5556 DEBUG Sending status 1 of service `resolver' to client
Feb 23 23:45:33-619928 arm-5556 DEBUG Last shutdown phase
Feb 23 23:45:33-619936 util-scheduler-3003 DEBUG canceling task 0x71ce06322cf0
Feb 23 23:45:33-619944 util-scheduler-3003 DEBUG destroying task 0x71ce06322cf0
Feb 23 23:45:33-619952 arm-5556 DEBUG Client dropped: 0x71ce06333080 (MQ: 0x71ce063370c0)
Feb 23 23:45:33-619959 util-scheduler-3003 DEBUG canceling task 0x71ce06321080
Feb 23 23:45:33-619966 util-scheduler-3003 DEBUG destroying task 0x71ce06321080
Feb 23 23:45:33-619974 util-scheduler-3003 DEBUG Adding task 0x71ce06321080
Feb 23 23:45:33-619981 util-scheduler-3003 DEBUG canceling task 0x71ce06321160
Feb 23 23:45:33-619998 util-scheduler-3003 DEBUG destroying task 0x71ce06321160
Feb 23 23:45:33-620006 util-scheduler-3003 DEBUG destroying task 0x71ce063212b0
Feb 23 23:45:33-620016 util-scheduler-3003 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-620025 util-scheduler-3003 DEBUG Running task 0x71ce06321080
Feb 23 23:45:33-620038 util-scheduler-3003 DEBUG destroying task 0x71ce06321080
Feb 23 23:45:33-620047 util-scheduler-3003 DEBUG GNUNET_SCHEDULER_shutdown
Feb 23 23:45:33-620067 util-3003 DEBUG Failed to retrieve filename
Feb 23 23:45:33-620600 util-scheduler-12332 DEBUG Running task 0x6fe30d31e240
Feb 23 23:45:33-620618 util-scheduler-12332 DEBUG Adding task 0x6fe30d31e160
Feb 23 23:45:33-620632 util-scheduler-12332 DEBUG Adding task 0x6fe30d31e1d0
Feb 23 23:45:33-620643 util-client-12332 DEBUG destroying socket: 0x6fe30d347680
Feb 23 23:45:33-620657 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e240
Feb 23 23:45:33-620668 util-scheduler-12332 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-620678 util-scheduler-12332 DEBUG Running task 0x6fe30d31e1d0
Feb 23 23:45:33-620689 util-12332 DEBUG Asked to $-expand $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
Feb 23 23:45:33-620696 util-12332 DEBUG Split into `GNUNET_USER_RUNTIME_DIR' and `gnunet-service-arm.sock' with default (null)
Feb 23 23:45:33-620706 util-12332 DEBUG Asked to $-expand ${TMPDIR:-${TMP:-/tmp}}/gnunet-${USERHOME:-${USER:-user}}-runtime/
Feb 23 23:45:33-620714 util-12332 DEBUG Split into `TMPDIR' and `/gnunet-${USERHOME:-${USER:-user}}-runtime/' with default ${TMP:-/tmp}
Feb 23 23:45:33-620722 util-12332 DEBUG Asked to $-expand ${TMP:-/tmp}
Feb 23 23:45:33-620730 util-12332 DEBUG Split into `TMP' and `' with default /tmp
Feb 23 23:45:33-620740 util-12332 DEBUG Asked to $-expand ${USERHOME:-${USER:-user}}-runtime/
Feb 23 23:45:33-620748 util-12332 DEBUG Split into `USERHOME' and `-runtime/' with default ${USER:-user}
Feb 23 23:45:33-620756 util-12332 DEBUG Asked to $-expand ${USER:-user}
Feb 23 23:45:33-620764 util-12332 DEBUG Split into `USER' and `' with default user
Feb 23 23:45:33-620776 util-scheduler-12332 DEBUG Adding task 0x6fe30d31e240
Feb 23 23:45:33-620785 arm-api-12332 DEBUG Sending TEST message to ARM
Feb 23 23:45:33-620793 util-mq-12332 DEBUG sending message of type 15, queue empty (MQ: 0x6fe30d338150)
Feb 23 23:45:33-620800 util-client-12332 DEBUG message of type 15 waiting for socket
Feb 23 23:45:33-620807 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e1d0
Feb 23 23:45:33-620815 util-scheduler-12332 DEBUG Running task 0x6fe30d31e160
Feb 23 23:45:33-620823 arm-api-12332 DEBUG Disconnecting from ARM service
Feb 23 23:45:33-620830 util-scheduler-12332 DEBUG canceling task 0x6fe30d31e240
Feb 23 23:45:33-620838 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e240
Feb 23 23:45:33-620846 util-mq-12332 DEBUG MQ destroy drops current message of type 15
Feb 23 23:45:33-620854 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e160
Feb 23 23:45:33-620862 util-scheduler-12332 DEBUG GNUNET_SCHEDULER_shutdown
Feb 23 23:45:33-620869 util-scheduler-12332 DEBUG canceling task 0x6fe30d31e0f0
Feb 23 23:45:33-620876 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e0f0
Feb 23 23:45:33-620884 util-scheduler-12332 DEBUG scheduler has more tasks ready!
Feb 23 23:45:33-620893 util-scheduler-12332 DEBUG select timeout = Sat Feb 23 23:45:33 2019
Feb 23 23:45:33-620902 util-scheduler-12332 DEBUG Running task 0x6fe30d31e080
Feb 23 23:45:33-620910 util-scheduler-12332 DEBUG destroying task 0x6fe30d31e080
Feb 23 23:45:33-620917 util-scheduler-12332 DEBUG GNUNET_SCHEDULER_shutdown
Test failed with error code 3
FAIL test_gnunet_service_arm (exit status: 3)

test-suite-3.log (77,813 bytes)   

Christian Grothoff

2019-02-24 08:20

manager   ~0013978

I've just had the same issue on my travel notebook, so yes, this should be fixed somehow. But the central issue is that the intended behavior will be tricky in this case, as it seems that libc returns the IP address of the network interface (any one? default route? particular order?) if the given domain name matches the hostname. So teaching gnunet-service-resolver to check for 'hostname' and return say 127.0.0.1 or ::1 would NOT work. :-(

Easiest fix might be to not use hostname but 'www.gnu.org' for the test for now...

Any other opinions?

Christian Grothoff

2019-02-24 08:29

manager   ~0013979

Proposed fix pushed as a69123887..35df06d31

nikita

2019-02-24 10:33

developer   ~0013982

What about spoofing the replies by having a small dns server as part of the testsuite?

schanzen

2019-02-24 10:42

manager   ~0013989

Btw in my "fix" I changed the behaviour of the resolver a bit:

When the name "test" is resolved, but an A record for "test.lan" is returned, I store it in the cache under "test" as a result.
Before, we stored it under "test.lan" which meant that the result was not returned. I am not sure this is correct bahviour but this is how the host command also works it seems.

Christian Grothoff

2019-02-24 12:08

manager   ~0014002

i don't think including a DNS server for this is practical, the test ought to not be substantially larger than what we try to test here.

Christian Grothoff

2019-02-24 13:29

manager   ~0014004

schanzen: does the test pass right now? if so, please mark this issue as resolved.

schanzen

2019-02-24 16:30

manager   ~0014019

the issue was already working for me. ng0 still had the issue but solved it by adding his hostname to /etc/hosts.
Anyway, tests pass for me because what was tested before is no longer tested I assume? So closing

Issue History

Date Modified Username Field Change
2019-02-16 19:25 schanzen New Issue
2019-02-16 20:56 schanzen Note Added: 0013829
2019-02-16 20:56 schanzen Assigned To => Christian Grothoff
2019-02-16 20:56 schanzen Status new => assigned
2019-02-16 21:01 Christian Grothoff Note Added: 0013830
2019-02-16 21:02 Christian Grothoff Note Added: 0013831
2019-02-16 21:03 Christian Grothoff Note Added: 0013832
2019-02-16 21:44 schanzen Status assigned => resolved
2019-02-16 21:44 schanzen Resolution open => no change required
2019-02-16 21:44 schanzen Note Added: 0013835
2019-02-17 16:29 nikita Status resolved => feedback
2019-02-17 16:29 nikita Resolution no change required => reopened
2019-02-17 16:29 nikita Note Added: 0013844
2019-02-17 19:33 Christian Grothoff Assigned To Christian Grothoff =>
2019-02-17 20:24 schanzen Note Added: 0013852
2019-02-17 20:24 schanzen Status feedback => new
2019-02-17 20:24 schanzen Status new => feedback
2019-02-22 22:50 nikita File Added: test-suite.log
2019-02-22 23:23 nikita File Added: test-suite-2.log
2019-02-22 23:23 nikita Note Added: 0013951
2019-02-23 00:08 schanzen Note Added: 0013953
2019-02-23 00:08 schanzen Status feedback => new
2019-02-23 00:31 nikita Note Added: 0013954
2019-02-23 00:33 schanzen Note Added: 0013955
2019-02-23 09:21 schanzen Note Added: 0013957
2019-02-23 09:22 schanzen Note Edited: 0013957
2019-02-23 11:07 schanzen Assigned To => schanzen
2019-02-23 11:07 schanzen Status new => feedback
2019-02-23 13:04 schanzen Product Version => Git master
2019-02-23 13:04 schanzen Target Version => 0.11.0
2019-02-23 13:04 schanzen Note Added: 0013958
2019-02-24 00:46 nikita File Added: test-suite-3.log
2019-02-24 00:46 nikita Note Added: 0013974
2019-02-24 08:20 Christian Grothoff Note Added: 0013978
2019-02-24 08:29 Christian Grothoff Note Added: 0013979
2019-02-24 10:33 nikita Note Added: 0013982
2019-02-24 10:42 schanzen Note Added: 0013989
2019-02-24 12:08 Christian Grothoff Note Added: 0014002
2019-02-24 13:29 Christian Grothoff Note Added: 0014004
2019-02-24 16:30 schanzen Note Added: 0014019
2019-02-24 16:30 schanzen Status feedback => resolved
2019-02-24 16:30 schanzen Resolution reopened => fixed
2019-02-24 16:30 schanzen Fixed in Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed